commit e8d2522397ea6b4384607017c9cafb6f3130f5a2
Author: Steven Dake <sdake@redhat.com>
Date:   Sat Oct 5 17:24:46 2013 -0700

    Use on-demand yum metadata caching in cfn-init
    
    Use on-demand yum metadata caching to avoid downloading
    50MB (Fedora 19) of extra metadata that is not necessary
    for correct cfn-init operation.
    
    Reduces time to orchestration by about 23% and cpu
    utilization by about 50%.
    
    Full detailed analsys in the launchpad bug.
    
    Change-Id: Id51d6d506d6051b5e83f550ef318f86d84f3c7a7
    Closes-Bug: 1235824

commit 1f275c21115ee34a4862ca281a7384634df0c5b0
Author: Steven Hardy <shardy@redhat.com>
Date:   Wed Oct 2 08:10:33 2013 +0100

    cfn-hup manpage fix s/deamon/daemon typo
    
    Change-Id: I3b7082fd2c1c7c13c9d6db824f8e7011544bd7e3

commit 63d70cd0ec142167f3d5b9865332158c55f1da07
Author: Simon Pasquier <simon.pasquier@bull.net>
Date:   Mon Sep 9 15:26:47 2013 +0200

    Implement -k option for cfn-get-metadata
    
    The -k argument can be a top-level key or a nested key in which case
    the keys are separated by dots (eg "foo.bar"). In case a key contains a
    dot character, it needs to be surrounded by single quotes (eg
    "foo.'bar.1'.fred).
    If the -k option is not provided, the command prints out the full
    metadata structure as before.
    
    Change-Id: Ib05d39672086001b83e8d7f56bc42cc4ba75751c
    Fixes: bug #1183299

commit ed5365dffed660abd5d90d09225b9355d99c5662
Merge: 1a66c0c f40e4b7
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Sep 8 14:43:05 2013 +0000

    Merge "Change cfn-signal option --exit to --exit-code"

commit f40e4b783c8fbb7024e54131cf69cc1892e572c0
Author: JUN JIE NAN <nanjj@cn.ibm.com>
Date:   Tue Sep 3 17:51:28 2013 +0800

    Change cfn-signal option --exit to --exit-code
    
    According cfn user guide, the long option of cfn-signal -e should be
    --exit-code.
    
    Fixes bug #1220080
    
    Change-Id: Id4e9feefd387a744f5e933aa4e9ea8a6f6f02a7c

commit 1a66c0c7910f1f05718cd345a4cfdb6f82d329c0
Author: JUN JIE NAN <nanjj@cn.ibm.com>
Date:   Tue Sep 3 21:16:35 2013 +0800

    Add argparse into requirements
    
    Add argparse into requirements.txt and heat_cfntools.egg-info
    requires.txt
    
    Fixes bug #1220071
    
    Change-Id: I6147a8f14ac110d8dcdc1643ced5d32594322041

commit 2044ef239d59ba8b3c29172ffca99cb3070a6359
Author: JUN JIE NAN <nanjj@cn.ibm.com>
Date:   Tue Aug 13 11:19:38 2013 +0800

    Support array values in command
    
    Description of command in CFN User Guide:
    
    Either an array or a string specifying the command to run. If you use
    an array, you do not need to escape space characters or enclose
    command parameters in quotes.
    
    So we escape double quote first, and enclose each array value in
    double quote.
    
    Fixes bug #1211605
    
    Change-Id: I28ecdb0d4b8a12690dddeac4e2398264c6d6f212

commit 5b83c132a325538c8eae283074d7bbf6e80fb5fe
Author: JUN JIE NAN <nanjj@cn.ibm.com>
Date:   Tue Aug 13 10:49:55 2013 +0800

    Pass cwd and env to test command
    
    Promote get cwd before test command running and pass cwd to test
    command.
    
    Fixes bug #1211606
    
    Change-Id: I2e4d3258f6d591d3d0aadffcefa36487c9122023

commit 01705b8b33ce944276e85969e769fa293c8689e3
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Aug 7 12:54:08 2013 +1200

    Sync with global requirements
    
    After requirements/update.py was run, the boto entry was
    manually restored to:
    boto==2.5.2
    
    Change-Id: Icd43ee5e1fee473ab21d59b1a17235317f5d751c

commit 28e9aac8d97df945bc7fcfed1f70e3a35d47498d
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Aug 7 13:27:45 2013 +1200

    Use python 3 style print functions
    
    Required to pass pep8 H233.
    
    Change-Id: I136dd2aa9fa567208a2fe1660b7a9085fde2927e

commit cfa33e160bb8da389940b4239ac13cb81d5b8cdf
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Jul 29 22:50:32 2013 +1000

    Use the server tags for dimensions and make watch_name optional.
    
    This allows us to stop creating templates with circular dependancies.
    
    So we can change:
      cfn-push-stats --watch {Ref: TheAlarm}
    to:
      cfn-push-stats
    
    This makes it closer to AWS and actually better as users can add their
    own dimensions via the tags.
    
    Change-Id: I365ae57c2275a2d064075eb1b3e14aa1e418d1ee

commit b97fb83dc070cee1d12ea23b1cd7a99da42a6243
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Jul 31 10:58:20 2013 +1000

    Add a get_tags() method to the Metadata class
    
    Tags are not properly implemented in nova so we pass the tags
    to nova as metadata. So we now [w]get the nova metadata.
    Since this is called repeatedly we cache the metadata.
    
    We also add the nova instance id (uuid) as a guest tag.
    
    Change-Id: I599f22fd5166e88cb3d21a71ead5f48c5c5a9269

commit 73cebadc073c4dd32d90f2254e325fcd1084b5f4
Author: Jason Dunsmore <jasondunsmore@gmail.com>
Date:   Fri Jul 26 10:18:22 2013 -0500

    Configure Apt to never prompt for user-input.
    
    Fixes bug #1205378
    
    Change-Id: Ie55725e04aa6045b52c33a5cdd4d2be4ac1a6cc3

commit a4e7c722f74384b913b48e0f18d5ea6b19a484e0
Author: JUN JIE NAN <nanjj@cn.ibm.com>
Date:   Fri Jun 28 17:27:56 2013 +0800

    Add GitHub tarball and zipball support
    
    Github tarball and zipball support was removed in the change set to
    pipe handing in sources. The changeset add it in and restructured.
    
    Change-Id: I107f42e9961cd8776161d1f6a2efe9d103aea125
    Fixes: bug #1195622

commit 1ad95945fab379bc8303d0629f2f1bc77cd76959
Author: JUN JIE NAN <nanjj@cn.ibm.com>
Date:   Thu Jun 27 17:55:52 2013 +0800

    Fix test cases not running under python 2.6
    
    Test cases running depends on `discover' package, but in python 2.6,
    `discover' package is not there. So need to add `discover' in
    test-requirements.txt.
    
    Change-Id: I1129bc50c97861c9fca3894261ea1b831cd3f6cc
    Fixes: bug #1193349

commit 026146ae4e76f1884681278ec6db336f972e7219
Author: JUN JIE NAN <nanjj@cn.ibm.com>
Date:   Wed Jun 26 15:23:15 2013 +0800

    Using pipe to handle tgz sources
    
    For tgz(or tar.bz2) sources, use pipe like `wget -O -
    http://www.example.com/a.tar.gz | tar -xvf -` to save disk space
    usage.
    
    Change-Id: I59663aed098e8c96d8a41b2d84200f2a1e43a927
    Fixes: bug #1192135

commit 87e08b0b4be6840bc900b688d7fac82a37c2d8ed
Author: Dirk Mueller <dirk@dmllr.de>
Date:   Thu Jun 13 09:34:11 2013 +0200

    Add Flake8 checks for bin/cfn-* to Gating
    
    Fix the Pep8/hacking/pyflakes warnings in bin/cfn-*.
    
    Change-Id: Ie21b3909c80d33adc712c2f3c9494d0fdbd90608

commit 971c1652420ca6d6991332a4b745b6a8914462f8
Author: JUN JIE NAN <nanjj@cn.ibm.com>
Date:   Mon Jun 17 15:23:34 2013 +0800

    Delete the temporary directory created by sources handler
    
    Register a hook to delete the temporary directory created by sources
    handler at program cfn-init exit.
    
    Change-Id: I821195cf510d35f94b1e7656dacc0dfe308ceeb1
    Fixes: bug #1191674

commit 70ec26e577acef99228e5e8f7694756f9a50bccf
Author: JUN JIE NAN <nanjj@cn.ibm.com>
Date:   Wed Jun 19 16:21:08 2013 +0800

    Add missing -d option in cfn-signal
    
    Change-Id: I1d4f7f9a935d037e3b9f75f3b9627b2eaa560179
    Fixes: bug #1192486

commit bc58e5fa70c3de71b215326c18828d874ad60e9a
Author: Dirk Mueller <dirk@dmllr.de>
Date:   Thu Jun 13 09:24:08 2013 +0200

    Use Python 3.x compatible octal literals
    
    Python 3.x deprecated octal literals in the form
    0755. Use 0o755  instead which works at least
    with Python 2.6 and newer
    
    Change-Id: I70dc33cb674499548732408924aa2ae728e17ea3

commit 2d00ede1e65139197f70471325b213f8241146b6
Author: Simon Pasquier <pasquier.simon@gmail.com>
Date:   Fri May 24 17:10:04 2013 +0200

    cfn-get-metadata: log metadata to standard output
    
    Add display() method to the Metadata class that prints the metadata to
    standard output if the metdata has been successfully retrieved (either
    from local cache or from the remote server).
    
    Change-Id: Idf6c1aecf2a5204d7cf7fbf3c8d826f750a72785
    Fixes: bug #1183298

commit 16452ffedf2bf692101d186b99b6f77b559b05ec
Author: Dirk Mueller <dirk@dmllr.de>
Date:   Thu May 30 17:17:41 2013 +0200

    Include ChangeLog and AUTHORS
    
    Similar to how other OpenStack components are built,
    include a ChangeLog and AUTHORS file.
    
    Change-Id: I28037aa3daf32e7e02dc2545ed3adf4227860d96

commit 206650597bc9918691f5ed0ac63d8318db23d899
Author: Monty Taylor <mordred@inaugust.com>
Date:   Sat May 11 13:49:12 2013 -0400

    Migrate to pbr.
    
    Fixes bug 1179007
    
    Change-Id: Iaa8a2722938d0b25df1041695f3c1c8dbf563b47

commit d5053e63adbcecfacbe90349e0b3ba09860c18dc
Author: Steven Hardy <shardy@redhat.com>
Date:   Thu May 23 23:41:14 2013 +0100

    Add options to send user-defined metric
    
    This allows the user to specify an arbitrary metric in their
    template, and send the number based on some data they can
    generate, e.g for openshift node occupancy data
    
    Change-Id: Iaa38614b8db3665f9fb340fd92b67b6f7a47b206

commit 8b813462b7e1573dd841e8f6d9d0d688321dc23d
Author: Steven Dake <sdake@redhat.com>
Date:   Thu May 16 09:31:51 2013 -0700

    Rename requires files to standard names
    
    From bug report:
    Rename tools/pip-requires to requirements.txt and tools/test-requires
    to test-requirements.txt. These are standard files and tools in the
    general world are growing intelligence about them.
    
    Change-Id: I5d3bad7654e4ce101d19b40215d8c1cc93dd9832
    Fixes: Bug #1179008

commit 6a6922ab5a6cdda8a0bed6058efdce569567cf45
Merge: 7ebfd86 5b1769e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu May 16 04:06:40 2013 +0000

    Merge "Fix leaky tempfiles during test suite."

commit 7ebfd86348137c019be4d7579ec2fa48a6704920
Merge: 3c3191a a1eeee7
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu May 16 04:04:47 2013 +0000

    Merge "Migrate to flake8."

commit 3c3191acb6f0384bc265ffe8cf103835641f748b
Merge: cc5a10b 5c67cda
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu May 16 04:03:17 2013 +0000

    Merge "Fix pyflakes/hacking errors."

commit a1eeee7f6c2f4cf766770fb11e511a356707d795
Author: Monty Taylor <mordred@inaugust.com>
Date:   Sat May 11 13:41:52 2013 -0400

    Migrate to flake8.
    
    Fixes bug 1172444
    
    Change-Id: I68d5e58f6992f7357e3bb4f72ae40d0ebe076d4b

commit 5c67cda719bcfd5ba23f51277aeb38c03e070e81
Author: Monty Taylor <mordred@inaugust.com>
Date:   Sat May 11 13:41:12 2013 -0400

    Fix pyflakes/hacking errors.
    
    Change-Id: I6c364240d9e336fc4f38c2f4bc1fea2ae5e91511

commit cc5a10baf23e7ffb1f5fc9a3c42bbece465a9a0c
Author: Clint Byrum <clint@fewbar.com>
Date:   Wed May 8 12:50:24 2013 -0700

    cfn-hup : Moving erroneous print to use LOG.debug.
    
    Change-Id: I6e567442cbc346b711b445c986095f1330131359

commit 5b1769e8abcbde9aad6f54c925c4cc6086a155b2
Author: Clint Byrum <clint@fewbar.com>
Date:   Wed May 8 09:53:49 2013 -0700

    Fix leaky tempfiles during test suite.
    
    Each test run was producing 5 abandoned temp files.
    
    Change-Id: I1c682b8e5a8782b1123b4a1bdb06dddca534e84b

commit ceed49d075fd3ed6ffa5b2f529b75ae76dc00870
Author: Clint Byrum <clint@fewbar.com>
Date:   Tue May 7 20:26:50 2013 -0700

    Run hooks even without cfn-init Metadata.
    
    When we don't have AWS::CloudFormation::Init in Metadata, this just
    means that cfn-init cannot do anything. However, cfn-hup still has hooks
    which are just scheduled to be run on any change in the Metadata.
    
    Fixes bug #1155999
    
    Change-Id: I21c4f2137f8045128a86278b4d90768ea97455d1

commit 25c3f97159b428e3ded65a337a6931dcab7c41ee
Author: Clint Byrum <clint@fewbar.com>
Date:   Tue May 7 18:26:11 2013 -0700

    Add tests for cfn_hup.
    
    Change-Id: Ibf69f99171c2c8316a0ea0a377e2fb186d5837b7

commit c84894f78ae2cd52f2fe4ad91a5fd60c82ed635d
Author: Dirk Mueller <dirk@dmllr.de>
Date:   Mon Apr 29 20:10:47 2013 +0200

    Rework testsuite to be section order agnostic
    
    In Python 2.6, SafeConfigParser defaults to "dict", which
    does not preserve section order. The testsuite was expecting
    insertion order to be preserved, which is the case with
    Python 2.7. According to Clint Byrum the actual code does
    not worry about section ordering, so I reworked the tests
    to sort sections into a welldefined order and run tests
    then, which makes it pass for all Python versions.
    
    Change-Id: Ia4e14018ae70c465b0b56d406d29fbb3c2ea280c

commit 0003cd2d11c2ce813c4dd3e2e6395c6d18499b8b
Author: Dirk Mueller <dirk@dmllr.de>
Date:   Mon Apr 29 19:11:36 2013 +0200

    Use testtools for better Python 2.6 compatibility
    
    Testsuite uses assertDictEqual and a few others
    which do not exist for Python 2.6. Use testtools
    for those instead, which works the same for
    all Python versions.
    
    Change-Id: I7c6cba7c032a721f2ade0055066b9ddfac6a35c9

commit b55b012dd38783784e5459d4bb32a4c0db406b3c
Author: Clint Byrum <clint@fewbar.com>
Date:   Thu Apr 11 14:09:55 2013 -0700

    Update local metadata atomically using rename()
    
    Change-Id: Id3b47db0d3ef3830f134d7f213e1d519d0466f60

commit 533b93b241cd27f3d884c5a5f5ff2632e47206d5
Merge: dfd2404 9dc3b02
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Apr 11 15:32:25 2013 +0000

    Merge "Remove reference to heat-api.org"

commit dfd24046c8d1cccd22b3095009d8fc4e23a1a4f0
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Apr 11 13:34:34 2013 +1200

    Prepare for release 1.2.3
    
    Change-Id: I7a7d36b13c5b7b2683fe283f81ab2b21e4ff2359

commit 9dc3b02bee92a8a61f3c775d5a9f8bd97d01f1a9
Author: Clint Byrum <clint@fewbar.com>
Date:   Wed Apr 10 18:24:39 2013 -0700

    Remove reference to heat-api.org
    
    Change-Id: Ida3d3f96bdbca0bf7ca81e2fb34052e7ac45598e

commit 97f016304e397dee7fa2ca10c5b37f72d799f078
Author: Clint Byrum <clint@fewbar.com>
Date:   Mon Apr 8 17:55:15 2013 -0700

    Cache metadata in /var/cache instead of /tmp
    
    /tmp is unsafe if a user were to somehow be able to create the file
    before it was cached there they can issue commands to cfn-init that
    would likely elevate their permissions.
    
    Fixes bug #1164756
    
    Change-Id: I54e1e1be178274cb0a2b50f54e859e004e1f1c78

commit e0f26667c4383392be367a73fa91c095daa14269
Author: Clint Byrum <clint@fewbar.com>
Date:   Mon Apr 8 11:27:43 2013 -0700

    Use tempfile.mkdtemp to avoid tempfile race
    
    Malicious users could predict these tempfile names and overwrite root
    owned files using a symlink attack.
    
    Also fixes a bug in order of operations which caused tar to fail if
    the destination directory did not exist yet.
    
    Fixes bug #1166323
    
    Change-Id: Ib4040eed27aa7e1e4d2bf53df6cae8e2b6c95f50

commit beff5a1e7201edea60328f96f721d1f0ae301cbf
Author: Clint Byrum <clint@fewbar.com>
Date:   Tue Mar 19 11:38:36 2013 -0700

    Add .tox directory to .gitignore
    
    Change-Id: I09ade1d6b6bcbe82662f42a4df1f9c38fbae1e26

commit 1cbd58fc00974033fad96c8da2adf3959fd8a1ea
Author: Steve Baker <sbaker@redhat.com>
Date:   Tue Mar 19 10:56:38 2013 +1300

    Prep for release 1.2.1
    
    Change-Id: I38d97815e32cfacaa8a46e255d3f97c459295ce1

commit 1e45464b4ca40cd413836c430637212abcc398db
Merge: 8d951db d2df587
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 18 20:35:26 2013 +0000

    Merge "License headers on python files"

commit d2df587f1eb6b14d3679b86b00318953c6e1dc56
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Mar 14 14:32:03 2013 +1300

    License headers on python files
    
    Change-Id: I783c6ded2eb5bdd4b9d3283b15d4179342bc8713
    Fixes: bug #1154136

commit 8d951db38934d3f69d0cc1f852f800b8ca4bf966
Merge: 3a296c2 1af949e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 18 02:38:09 2013 +0000

    Merge "Raise no exception for cfn-hup _is_valid_metadata()"

commit 3a296c2a8516600817137d1ec1f98843cfb57021
Merge: 0a4d0dd 009ed21
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 18 02:34:32 2013 +0000

    Merge "Make help for --force more accurate"

commit 0a4d0ddb1f425ef65efc4611fa599c49b9dcc95b
Merge: a172b19 c7ec183
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 18 02:33:18 2013 +0000

    Merge "Don't use metadata from previous test."

commit 009ed210387bf2ef10a234d06e97e8fa0aad62ae
Author: Steve Baker <sbaker@redhat.com>
Date:   Mon Mar 18 14:17:27 2013 +1300

    Make help for --force more accurate
    
    This aligns the help message with the man page.
    
    Related to bug #1153851
    
    Change-Id: Ifec6213494c6ceddcf213fd089e8cf99913d6c5d

commit a172b19e8190cbc88494e27c51c543e6c1cb2575
Author: Steve Baker <sbaker@redhat.com>
Date:   Mon Mar 18 14:13:23 2013 +1300

    Man page for cfn-signal
    
    Change-Id: I0b22ba38902be3135d8322161cbe0d1a4c0d3791
    Fixes: bug #1153846

commit d79d9f30021f951e9cce467d809b869458c427e6
Author: Steve Baker <sbaker@redhat.com>
Date:   Mon Mar 18 14:12:23 2013 +1300

    Man page for cfn-push-stats
    
    Change-Id: I11d3afa129f8670ca691f78d42945db639105b5e
    Fixes: bug #1153849

commit 0da13ecb83787b5bc0323630e69b9e551a6a31a7
Author: Steve Baker <sbaker@redhat.com>
Date:   Mon Mar 18 14:10:57 2013 +1300

    Man page for cfn-hup
    
    Fixes: bug #1153850
    Change-Id: I799a286ffab36252134ba77fc28c3184bd20e4e8

commit 7e359762eb2935bef640387eec0e787dcfc251a4
Author: Steve Baker <sbaker@redhat.com>
Date:   Mon Mar 18 14:05:34 2013 +1300

    Man page for cfn-get-metadata
    
    Fixes: bug #1153848
    Change-Id: Ie545e3037deeeb06095d6f6a09479c05a118b1f8

commit fe7e1aec2e78adeb6e67a08578acb10731e76154
Author: Steve Baker <sbaker@redhat.com>
Date:   Mon Mar 18 13:59:12 2013 +1300

    Man page for cfn-create-aws-symlinks
    
    Fixes: bug #1153851
    Change-Id: I8c9993df7f839bc407f6b372fcd140c2924c806f

commit 7b6c64818e7c84719a07e58e01e047330bc8b1ff
Author: Steve Baker <sbaker@redhat.com>
Date:   Mon Mar 18 14:11:38 2013 +1300

    Man page for cfn-init
    
    Change-Id: I85e93505363ccd2ee1989aa9be38a629f4b00356
    Fixes: bug 1153844

commit 23ea6aee7cc9df8b33d55fbf43d5c194bf900009
Author: Steve Baker <sbaker@redhat.com>
Date:   Mon Mar 18 14:15:16 2013 +1300

    Config and scripts for building man pages
    
    Change-Id: I61ba9989cfdbbfdc64fd320210aa06a751c9cd79

commit 1af949e14cc63a8a382b8740436e229f0bdd3d26
Author: Steve Baker <sbaker@redhat.com>
Date:   Mon Mar 18 13:25:05 2013 +1300

    Raise no exception for cfn-hup _is_valid_metadata()
    
    Now info is logged that no AWS::CloudFormation::Init
    existed in the metadata.
    Fixes: bug #1155999
    
    Change-Id: Ice7016c65a5bf18f50c3552629f7a182d48db1f2

commit c7ec183761dd2a836c53d0a5abbe963f4a8ba27b
Author: Steve Baker <sbaker@redhat.com>
Date:   Mon Mar 18 13:23:22 2013 +1300

    Don't use metadata from previous test.
    
    Overrides last_path with a file that doesn't exist.
    
    Change-Id: I173a85ab0ac0c4b80f26767130d8151dde87e1e5

commit 75d181427c2622118345ca53982ffd9190e3d3d6
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Mar 14 10:36:05 2013 +1300

    Fix typos in unexecuted code paths
    
    Change-Id: I28f1d4d29ef5a15682df909c5be7886a7ee5c4a6
    Fixes: bug #1154808

commit a5a9379dbf1c8513f92f0a098aeccf342a4fe4e9
Merge: d1e5361 cab1b10
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 8 10:47:18 2013 +0000

    Merge "Test coverage for ServicesHandler"

commit d1e536102616079460fd7ffd4041f22daa387cd5
Merge: 22d0fa7 d069c09
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 8 07:53:54 2013 +0000

    Merge "Store HupConfig hooks in a list, not a dict"

commit 22d0fa738d8b061fe81ff6df1aa58644d2af69d4
Merge: 22275ce bdeb9a6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 8 07:53:52 2013 +0000

    Merge "Test coverage for CommandRunner"

commit 22275ce32e6545aa7977179926bc94349d1915e3
Merge: 6457f3f 9cb2d5b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 8 07:52:12 2013 +0000

    Merge "Re-enable pep8 tests, with a minor pep8 fix"

commit cab1b10c9c2dadf89a71e16d4fc15138c6578a2e
Author: Steve Baker <sbaker@redhat.com>
Date:   Fri Mar 8 09:46:50 2013 +1300

    Test coverage for ServicesHandler
    
    Part of bug #1152434
    Change-Id: I53c2b325c638c0a3f8756ebc20d0baeb86acd6e1

commit d069c09428c38e4b6a6041e8e69683b674d4e30a
Author: Steve Baker <sbaker@redhat.com>
Date:   Fri Mar 8 09:45:33 2013 +1300

    Store HupConfig hooks in a list, not a dict
    
    Adds test coverage for HupConfig
    Fixes: Bug #1133050
    
    Change-Id: Icb410b99b22401eadb1f58adf982517af0df48ed

commit bdeb9a6e353de2fff6e77ed98f5a99086500b93c
Author: Steve Baker <sbaker@redhat.com>
Date:   Fri Mar 8 09:38:39 2013 +1300

    Test coverage for CommandRunner
    
    The __str__ method now uses the properties to improve the test coverage
    
    Part of bug #1152434
    Change-Id: Id06843feb81187c84fd8eac290e3d2ac2382d450

commit 9cb2d5bc8da1cda912cd8cc0df980b37b908cb37
Author: Steve Baker <sbaker@redhat.com>
Date:   Fri Mar 8 09:08:30 2013 +1300

    Re-enable pep8 tests, with a minor pep8 fix
    
    Fixes: bug #1152431
    Change-Id: If2c01eb97dfd303c5130008c3cd17c83a888a51a

commit 6457f3ffe966629e3df88b90460b67a53c18ccc1
Author: Steven Hardy <shardy@redhat.com>
Date:   Wed Mar 6 17:34:56 2013 +0000

    cfn-push-stats : Add --haproxy-latency option
    
    The --haproxy options sends a variety of metrics to the engine,
    which can only accept one metric per watchrule, so will discard
    all except the one specified on the CloudWatch alarm, so add a
    version which only sends the Latency metric (since that's what
    we care about for the internal loadbalancer resource)
    
    ref bug 1133510
    
    Change-Id: I53084dcbf14c28028af6cba0b8125663fefc6483

commit 54acd090a8b383c3a172ad8a84b276502ee8d4b0
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Mar 7 11:45:09 2013 +1300

    Add tox, pep8, pyflakes, testr support
    
    Also fix the python to comply. This has to be done as a single
    change otherwise we'll never bootstrap gating.
    
    Change-Id: I4a21d57e0341802a1652428dee16c60abb30251d

commit 6b4095a5201f0d791218b382847a6f2a615171b8
Merge: 535ac66 4dc88ac
Author: Steven Dake <sdake@redhat.com>
Date:   Wed Feb 27 17:09:02 2013 -0800

    Merge pull request #8 from steveb/bug/1105806
    
    Look for heat data files in /var/lib/heat-cfntools

commit 4dc88ac6abad1876381d30609c88d17daff1cccf
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Feb 28 10:40:04 2013 +1300

    Look for heat data files in /var/lib/heat-cfntools
    
    The /var/lib/heat-cfntools directory should be owned by the
    heat-cfntools package for whichever distro it is included.
    
    This avoids the problem of heat writing to directories owned
    by cloud-init.
    
    This is the guest-side change which corresponds to this review
    https://review.openstack.org/#/c/23052/
    
    Fixes: Bug #1105806

commit 535ac664a518529a2be7ca21500f8145f25cebad
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Feb 28 07:04:28 2013 +1300

    Test retrieval of remote metadata and call to cfn_init.
    Testing of each handler will come separately

commit 3a8f25170f1b10ec64296c4328931ea5c1ef8619
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Feb 28 07:00:15 2013 +1300

    Don't conceal any exception raised by describe_stack_resource.
    
    The raised MetadataServerConnectionError had weird
    whitespace in the message too.

commit 3d11437efd4bcb0e90bc6ec4dfdf3af5f09a04c5
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Feb 27 12:17:32 2013 +1300

    Tests for Metadata.retrieve()
    
    This doesn't test remote retrieve yet.

commit 693eaa4a1b07e3fb25e72da643f63f8aeb92fb3b
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Feb 27 12:16:38 2013 +1300

    Pass paths into Metadata.retrieve for testing.

commit a11e1fbe76062c7b4b360edc61f25dc88c5c6474
Author: Steve Baker <sbaker@redhat.com>
Date:   Tue Feb 26 14:53:20 2013 +1300

    test cfn_helper.parse_creds_file

commit 168d891bd7ee7e22ae6a11023058d202670b583f
Author: Steve Baker <sbaker@redhat.com>
Date:   Tue Feb 26 14:24:19 2013 +1300

    test cfn_helper.to_boolean

commit a17ae77353a031c8667649032abc1f6d9760efb7
Merge: e65198d ecd9aeb
Author: Steven Dake <sdake@redhat.com>
Date:   Wed Feb 20 14:20:29 2013 -0800

    Merge pull request #3 from steveb/steveb-merge
    
    Sync with heat-jeos, run tests with testr

commit ecd9aebb4890a4245ec3e8ee2328d7b2334933ba
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Feb 21 10:42:17 2013 +1300

    prepare for next release

commit fabcdf19c82f9bf20b7a7e4373a85bcc0508c78b
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Feb 21 10:42:02 2013 +1300

    Use testr to run the unit tests.
    
    Run unit tests with:
    ./setup.py testr

commit 2e95bda5db61083938be0f458bfdfe71b54fc188
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Feb 21 10:35:38 2013 +1300

    pip-requires and test-requires
    
    This includes boto==2.5.2 to work around issues with too old and too new
    versions of boto

commit b96992b1da2fcae5611285182f1da9b04cbad118
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Feb 21 10:33:25 2013 +1300

    Add cfntools unit test to sync with heat-jeos.

commit 1042b314714bff95efd5b09e1dd5d6221820ce77
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Feb 20 11:55:08 2013 +1300

    Update version to 1.1
    
    This has already been released to pypi.

commit 33210832b5d3303405925cac58b8222f3f4b7ccd
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Feb 21 11:11:55 2013 +1300

    Sync with heat-jeos commit 13f183e

commit e65198dde85d2bf19c53e816bd90b7c96846d6f4
Merge: 95bba0a 7a7b5d0
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Wed Feb 13 14:58:46 2013 -0500

    Merge remote-tracking branch 'upstream/master'
    
    Synced with heat-jeos repo
    (Conflicted files below were simply dropped)
    
    Conflicts:
    	bin/heat-jeos
    	docs/man/man1/heat-jeos.1
    	heat_jeos/glance_clients.py
    	heat_jeos/utils.py

commit 7a7b5d08f372bf7fbbaa6d33b725a0e8bad4c364
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Wed Feb 13 14:34:59 2013 -0500

    Fix Popen arguments and other similar initialization
    
    Popen expects cwd to be None if not set, so don't set to an empty
    string instead.
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit 2205a1666153b20aad30167da738156472ac2805
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Tue Feb 12 22:51:06 2013 -0500

    Add configSets support to cfntools
    
    Due to a previous commit, configSets was the only remaining task to
    fully complete the blueprint. (1cb8a5e)
    
    Blueprint: Complete AWS::CloudFormation::Init functionality
    Fixes: bug #1101717
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit 79349134e5f7cb02b5c5d70c7cee5048a7ab24e0
Merge: 88e0f41 450ba3f
Author: Steven Hardy <shardy@redhat.com>
Date:   Tue Feb 12 00:32:39 2013 -0800

    Merge pull request #42 from SpamapS/master
    
    Fixes issue #41, --credential-file ignored in cfn-get-metadata
    
    cfn-get-metadata needs to pass credential_file argument to the Metadata constructor, or authentication with the CFN API will fail

commit 450ba3f908eb7699af76f0164397205539c9848c
Author: Clint Byrum <clint@fewbar.com>
Date:   Mon Feb 11 14:39:23 2013 -0800

    Pass --credential-file argument down to Metadata constructor

commit 88e0f4154d0539757085cb14de0e2f1bd864ba23
Merge: 438b16f 1cb8a5e
Author: Zane Bitter <zbitter@redhat.com>
Date:   Wed Jan 30 11:04:05 2013 -0800

    Merge pull request #37 from pfreund/master
    
    Commands/Groups/Users implementation

commit 1cb8a5e108703d68f21f8e6ba9a891795dbb7dfe
Author: Pierre Freund <pierre.freund@gmail.com>
Date:   Wed Jan 23 19:00:15 2013 +0800

    Adding command / group / user class

commit 438b16f8a07f438e4cc58b4ba509a0ef7364f745
Merge: e5bcbae 441cb9c
Author: Zane Bitter <zbitter@redhat.com>
Date:   Tue Jan 29 06:51:35 2013 -0800

    Merge pull request #39 from spil-robert/apply_size_from_tdl
    
    Apply disk size from template

commit 441cb9cc40476feade85302f9666b6ad968c2b09
Author: Robert van Leeuwen <robert.vanleeuwen@spilgames.com>
Date:   Tue Jan 29 15:24:31 2013 +0100

    apply_size_from_tdl

commit 95bba0a8bfa284cf4ba6234b76b9abce107ecb3f
Merge: 0dac31c f542bcd
Author: Zane Bitter <zbitter@redhat.com>
Date:   Mon Jan 28 23:58:51 2013 -0800

    Merge pull request #1 from steveb/master
    
    Script to create cfn-* symlinks in /opt/aws/bin

commit f542bcd24f11308bc25d17cf79e3724771729bab
Author: Steve Baker <sbaker@redhat.com>
Date:   Tue Jan 29 13:50:47 2013 +1100

    Move logic to a couple of functions and parse args only in __main__

commit df270d935d24afab268642fcdc97fbccc4e51d83
Author: Steve Baker <sbaker@redhat.com>
Date:   Mon Jan 28 12:08:21 2013 +1100

    Script to create cfn-* symlinks in /opt/aws/bin
    
    Typical usage:
    cfn-create-aws-symlinks --source=/usr/bin
    
    This will create directory /opt/aws/bin if it does not exist, and then creates symlinks within that from the scripts /usr/bin/cfn-*.
    
    By default, any existing /opt/aws/bin/cfn-* script will not be overwritten. This behaviour can be overridden with the flag --force

commit e5bcbae18a840f9ae620fcead36b07d16c0cfea1
Merge: 4052ae3 2336b5d
Author: Zane Bitter <zbitter@redhat.com>
Date:   Fri Jan 18 07:56:44 2013 -0800

    Merge pull request #36 from spil-robert/add_autofile_support
    
    Add commandline support for custom autofiles e.g. kickstart

commit 2336b5d42b745107e8b7d6cfa59c2aee6a82430a
Author: Robert van Leeuwen <robert.vanleeuwen@spilgames.com>
Date:   Fri Jan 18 16:23:45 2013 +0100

    Exception handling and auto_file variable fix

commit b5018d16bc03041fc498ce08fb08d47e4932eafd
Author: Robert van Leeuwen <robert.vanleeuwen@spilgames.com>
Date:   Fri Jan 18 15:37:13 2013 +0100

    fix some pep issues and remove tempfile auto patch

commit 9c164bb686d2c867b9f7a30055183e07b3cb78aa
Author: Robert van Leeuwen <robert.vanleeuwen@spilgames.com>
Date:   Fri Jan 18 14:18:33 2013 +0100

    fix tab/space issue

commit f098e9c8d7725a4725940ee5c54adf80de388c70
Author: Robert van Leeuwen <robert.vanleeuwen@spilgames.com>
Date:   Fri Jan 18 14:04:50 2013 +0100

    Add commandline support for custom autofiles e.g. kickstart

commit 0dac31c87453dece5aa1659bafb3988b51ea2a3f
Author: Steve Baker <sbaker@redhat.com>
Date:   Fri Jan 4 12:03:50 2013 +1300

    Require a MANIFEST.in for older setuptools

commit af2bf602fff7c730ecfd6fa386cf922ae46d2e88
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Jan 3 10:07:02 2013 +1300

    remove placeholder

commit b8981fb70efeb5f546af707a7259626de41bf4b6
Merge: d8a6d6e ef9e3cc
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Jan 3 10:06:23 2013 +1300

    Merge branch 'master' of github.com:heat-api/heat-cfntools

commit ef9e3ccdf87f0336a54bb5c45ec833a7ffb91fa6
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Jan 2 12:11:08 2013 -0800

    Initial commit

commit d8a6d6e74144401838b848de3d9ba0d0fb3fd6d9
Author: Steve Baker <sbaker@redhat.com>
Date:   Fri Dec 28 10:14:12 2012 +1300

    Always import cfn_helper from heat_cfntools.cfntools

commit 2f412a364aee7be5773f90534f44656383cac348
Author: Steve Baker <sbaker@redhat.com>
Date:   Mon Dec 24 17:07:35 2012 +1300

    rename python package heat_jeos to heat_cfntools

commit 4a9558f14479b6aa217bf542c12bd215e16b0fc1
Author: Steve Baker <sbaker@redhat.com>
Date:   Mon Dec 24 16:58:27 2012 +1300

    Ignores

commit cc0e3ce8221e107e0b4de2efa66296f1e55f737a
Author: Steve Baker <sbaker@redhat.com>
Date:   Mon Dec 24 16:45:47 2012 +1300

    delete heat-jeos files

commit 9d3363f44a9ef4c6a0215441414ba9ce260571ca
Author: Steve Baker <sbaker@redhat.com>
Date:   Fri Dec 21 16:26:58 2012 +1300

    Makefile to post to ImageFactory

commit 1a15f6fd8dabb22cf32c41045d08c229a4962d9e
Author: Steve Baker <sbaker@redhat.com>
Date:   Fri Dec 21 09:20:49 2012 +1300

    Reorganise project to contain stand-alone heat-cfntools

commit 4052ae34f629e13e8d8a90f58b34d2fa65c0c093
Author: Zane Bitter <zbitter@redhat.com>
Date:   Mon Dec 17 16:23:24 2012 +0100

    Make registration with python-glanceclient work
    
    In the Folsom Glance client code, we lookup the endpoint for the client
    in the Keystone service catalog. However this endpoint includes the API
    version "/v1", while the glance client is expecting the endpoint
    *without* the version part.
    
    Fixes #35
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 305f6753abdc9459305cc9c8d21cc17d2d39778b
Author: Steven Hardy <shardy@redhat.com>
Date:   Wed Nov 28 15:35:56 2012 +0000

    cfn-signal URL must be quoted
    
    The curl request URL must be quoted in cfn-signal for the request to
    succeed when using pre-signed URLs
    
    blueprint metsrv-remove
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit 6d0e924b43a0f49b62e6e16ea1d54100e5e0e08e
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Wed Nov 14 15:10:35 2012 -0500

    Fix some imports and return code
    
    Cfntools no longer are in the heat repo. Modify cfn-signal to exit with
    a return code that accurately reflects the curl request.
    
    closes #30
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit f383faa686bb56ece007722dd8049c3af7338a09
Author: Steven Hardy <shardy@redhat.com>
Date:   Tue Nov 13 16:08:25 2012 +0000

    cfn_helper turn off boto debugging
    
    Turn off boto debugging to reduce noise in the logs
    
    Fixes #32
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit bf92bf0c9522799a0d4d09e9fc332480f65e1394
Author: Steven Hardy <shardy@redhat.com>
Date:   Tue Nov 13 16:01:26 2012 +0000

    cfn_helper Metadata fallback to files if getting remote metadata fails
    
    We need to fall back to local files when retrieval of remote metadata
    fails, for example when we do not have any local credentials yet (as
    they are in the cloud-init deployed metadata).
    
    This patch tries to retrieve data from the following locations (in this
    order):
    - Remote metadata from CFN API
    - Local saved remote metadata (/tmp/last_metadata)
    - Local cloud-init intial metadata (/var/lib/cloud/data/cfn-init-data)
    
    This should hopefully mean both cfn-init and cfn-hup now work as required
    
    Fixes #33
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit 9350aa32c7cb42844202381a377a9dd3733f2906
Author: Steven Hardy <shardy@redhat.com>
Date:   Mon Nov 12 14:19:29 2012 +0000

    Remove boto.cfg template
    
    Remove the template boto.cfg from templates, and logic to inject it,
    boto config file is now deployed via cloud-init so this is no longer
    needed
    
    Ref #33
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit da6f938d4400f23dd31a7161c3ee58f0752ffe9a
Author: Steven Hardy <shardy@redhat.com>
Date:   Mon Nov 12 14:09:09 2012 +0000

    set boto BOTO_CONFIG variable to use specified config file
    
    Set BOTO_CONFIG for cfntools which use boto, this means we can create a
    boto config which is deployed via cloud-init with no sedding etc needed
    so cfn-init can connect to the cfn api for metadata if required.
    
    Ref #33
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit 0114995945a3c1d921651e2c67f017a7fda3fe80
Author: Steven Hardy <shardy@redhat.com>
Date:   Tue Oct 30 14:42:51 2012 +0000

    Add boto to openshift cfntools tdl
    
    New version of cfn-push-stats and cfn-hup requires boto, so add boto package
    and config to the tdl
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit 54e55e1046cff9c4c5d43411e3822de397c8d539
Author: Steven Hardy <shardy@redhat.com>
Date:   Thu Oct 25 16:00:30 2012 +0100

    Fix permissions on /tmp/last_metadata
    
    Ensure cfn_helper.py chmods the temporary metadata to
    avoid exposing credentials and other sensitive information
    in a world-readable file
    
    Fixes #24
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit b54d1ffd9c9805ac704f116c2b1e334ee0dd8bad
Author: Steven Hardy <shardy@redhat.com>
Date:   Wed Oct 24 17:31:36 2012 +0100

    heat-jeos : convert cfn-hup to use CloudFormation API
    
    Covert cfn-hup to read resource metadata via the heat CloudFormation API
    We use the boto client library, which simplifies client connection to the
    API.
    
    Note this means all instances using cfn-hup must now
    create /etc/boto.cfg and /etc/cfn/cfn-credentials (populated with keys
    from AWS::IAM::User and AWS::IAM::AccessKey), see HA template for
    example.
    
    Fixes #25
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit 25edbf5072915f75fb19c68003325acf48555b57
Author: Steven Hardy <shardy@redhat.com>
Date:   Fri Oct 19 11:58:10 2012 +0100

    cfn-hup fix logging to file
    
    Fixup logging configuration so cfn-hup log output goes to
    /var/log/cfn-hup.log
    
    Fixes #26
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit c3700f17bcd013ae818a6c39f776f8f6b97ae0a2
Author: Zane Bitter <zbitter@redhat.com>
Date:   Tue Oct 23 12:08:33 2012 +0200

    Bump version to 7
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 05da378a2fccf6e23a319d2b028ac39ec726e2d3
Author: Zane Bitter <zbitter@redhat.com>
Date:   Fri Oct 19 11:10:05 2012 +0200

    Fix image lookup by name on Folsom
    
    Fixes #27
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit a279ade8b3a1283cfc74742fe420edadebdb178a
Author: Steven Hardy <shardy@redhat.com>
Date:   Wed Oct 10 15:15:16 2012 +0100

    heat-jeos : convert cfn-push-stats to use CloudWatch API
    
    Covert cfn-push-stats to send metric data via the heat CloudWatch API, we
    use the boto client library, which simplifies client connection to the
    API.
    
    Note this means all instances using cloudwatch/cfn-push-stats must now
    create /etc/boto.cfg and /etc/cfn/cfn-credentials (populated with keys
    from AWS::IAM::User and AWS::IAM::AccessKey), see HA template for
    example.
    
    Fixes #21
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit a072e487e7553d9c78069c96893240c794d8fd12
Author: Steven Hardy <shardy@redhat.com>
Date:   Thu Oct 11 11:19:15 2012 +0100

    Add boto to Fedora cfntools tdls
    
    New version of cfn-push-stats requires boto, so add
    boto package and config to the tdls
    
    Ref #21
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit 28d33eb1060ca3a5c450e49dd77427377e86fa4c
Author: Steven Hardy <shardy@redhat.com>
Date:   Thu Oct 11 11:46:22 2012 +0100

    Inject template boto.cfg for cfntools
    
    new cfn-push-stats uses boto to connect to the heat
    CloudWatch server, so we create a template boto.cfg
    which then needs to be sedded in the instance template
    so that the gateway IP/hostname is specified
    
    Ref #21
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit f25d37d888c84a4caf9944000c25305e353a083a
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Fri Oct 12 17:35:26 2012 +0200

    Don't load the glance when it's not needed
    
    Fixes #13
    
    If the user doesn't specify the --register-with-glance option, the
    python-glance or python-glanceclient library should not be needed.
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit 39401324d5114a99d697f55da5255c6df7027c43
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Thu Oct 11 16:31:55 2012 +0200

    Add support for Folsom's python-glanceclient
    
    Fixes #20
    
    Heat supports both Essex and Folsom for now. However, in Folsom, the use
    of python-glance client is deprecated in favor of python-glanceclient.
    
    Since the clients are incompatible, this adds the `heat.glance_client`
    package that abstracts the differences away.
    
    Once we stop supporting Essex, most of this should go away.
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit 3f3cc81b49e1c6cd89982a963940bf9cc3bdc9ad
Merge: 6730eea a6bcef6
Author: Steven Hardy <shardy@redhat.com>
Date:   Mon Sep 17 02:31:16 2012 -0700

    Merge pull request #19 from mosyda/master
    
    Fixed missing argparse python module in CentOS tdl

commit a6bcef6213234d45c71f45dfda3d21238a1a5c1e
Author: Maciej Osyda <maciej.osyda@amg.net.pl>
Date:   Mon Sep 17 11:21:37 2012 +0200

    Missing argparse python module added
    
    Signed-off-by: Maciej Osyda <maciej.osyda@amg.net.pl>

commit 6730eea132dc0f33e896db64293df1901facbb7b
Merge: 3cbc4bf db46549
Author: Steven Hardy <shardy@redhat.com>
Date:   Wed Sep 12 01:54:07 2012 -0700

    Merge pull request #18 from MaciejOsyda/master
    
    Added tdl for CentOS 6.3 - cfntools

commit db465491958d13083b0be23960d2a09cdfe8bc83
Author: Maciej Osyda <maciej.osyda@amg.net.pl>
Date:   Wed Sep 12 10:23:23 2012 +0200

    Add tdl for CentOS 6.3
    Signed-off-by: Maciej Osyda <maciej.osyda@amg.net.pl>

commit 3cbc4bffd43e84e9dcb630201e18bfd786c7056d
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Thu Aug 30 13:06:21 2012 +0200

    Decide image_type based on the template contents
    
    To figure out whether to include cfntools in the image, heat-jeos used
    to look at the template filename.
    
    Now it uses a more flexible solution: if the template has the
    'files/file' declaration for each of the cfntools file, it's contenst
    will be included.
    
    Fixes #10
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit aba3d890d0d6be064fd043f6efa334e27e53f5ba
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Mon Aug 27 15:16:20 2012 +0200

    Move image related code to heat_jeos.utils
    
    ref #15
    
    This allows other tools (such as heat-prebuild) to build images using
    heat-jeos.
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit 7c23d34723e3bf223166ec3a6677a80157095902
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed Aug 22 14:19:42 2012 +0200

    Don't write the processed template to filesystem
    
    All the template processing and image building now passes around a
    string representation of the TDL XML instead of writing it out to
    /tmp/tdl and then reading it again.
    
    This ensures that the template is not manipulated outside of heat-jeos
    and provides greater modularity.
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit f520f2c4d6164dd2cf43b17882b3013b6197ed95
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Sat Aug 18 01:37:21 2012 -0400

    Whitespace fix
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit 51469d80e083c9d0660692ae5a8850e9093be1dc
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Sat Aug 18 01:36:47 2012 -0400

    Set instance type from JEOS name
    
    Removed --gold option since it is no longer required.
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit 1be3d4e481c45df82d829e37b154ff46a5b64c9a
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Wed Aug 15 18:05:45 2012 -0400

    Change glance registration instructions
    
    The container format for the generated image should be bare, not OVF.
    This change also matches the container format used with
    --register-with-glance.
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit 85bdaa9a162affcdb5893a3b45ce24fa8ac0e628
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Aug 14 08:50:20 2012 -0700

    Remove "-jeos" from MANIFEST.in since files have been renamed
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 5aff6942783a2173c8084dc62b6af39292d522e3
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Tue Aug 14 16:46:22 2012 +0200

    Remove the '-jeos' suffix from TDL filenames
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit b717a7422d45760c534cf2683b843c660dcadccf
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Tue Aug 14 16:42:34 2012 +0200

    Remove the '-jeos' suffix from all TDL names
    
    Fixes #16
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit 85217dc9da508876502ecdbbefc84876b348fcf6
Author: Steven Hardy <shardy@redhat.com>
Date:   Mon Aug 13 16:24:58 2012 +0100

    heat-jeos : Add new openshift tdl file
    
    Add new tdl to build core openshift image, allowing faster
    openshift template deployment
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit 59499f1a1e7554c0068e891e916d44ee83ae238f
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Aug 13 10:38:43 2012 +1000

    Fix the logging (removed the parent logger).
    
    Also s/logger/LOG as that seems to be the convention
    in openstack.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 55a4dd2d93b4f600bd33d506e3f013a93a2deaca
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Aug 13 10:12:59 2012 +1000

    Add cpu utilization to cfn-push-stats
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit df45452882601af9b444ded6becaba700a0b0da0
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Aug 10 12:47:26 2012 -0700

    Tidy up F17 image creation to look similar to F16 image creation
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit cd494346411864bf0ed98da21e98d5dd4f64de6c
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Aug 10 09:36:33 2012 -0700

    Remove selinux setup from F16 jeos since this is done in cloud-init
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 2e06c2e81b99bf367a549b5278ef64560c04741a
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Aug 10 08:40:28 2012 -0700

    Add python-psutil to F16 jeos images for autoscaling statistics
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 9766a9785d3fbf264f28ffb9917a48a47bbf8c33
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Aug 10 08:39:10 2012 -0700

    Fix typo in F16-i386 cfntools image which prevented the image from building
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 9e69e9b249640f8a96a398041664fce25bf13ea8
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Jul 25 09:13:45 2012 +1000

    Add support for a heartbeat to cfn-push-stats
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 4e5e52f0d131e784d8c86f448bb4cd6a8f682a61
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Aug 3 11:47:20 2012 -0700

    Make cfn-tools actually log to files
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit a2ea9abc046713cda2713159270dceabc99438c7
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Aug 2 16:29:17 2012 -0700

    install fedora-release first and clean up yum update nonsense
    
    fedora-release enabled updates-testing when shipped by Fedora.  This caused
    a yum update to update from updates-testing.  This would lead to updates
    from testing with parent packages later not available because updates-testing
    was turned off by the first update to fedora-release.
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 76666e5625014645f9b4c58bb206577f526ec515
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Aug 2 11:56:23 2012 -0700

    Fix latest fedora updates complain about multilib arch problem with yum
    
    Not sure exactly what the problem is, but adding a yum update yum to the start
    of the jeos update process fixes the problem.
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 3e83243e8bdee944e02784809b01e746fc2e0714
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Tue Jul 31 17:50:26 2012 +0200

    Bump version to 6
    
    Version 5 was just released.
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit 742166623e9c5c153d22285bd8fa005936d33b9a
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Tue Jul 31 17:48:55 2012 +0200

    Version 5
    
    This syncs up the version with Heat to avoid confusion.
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit fc24b64ab5779a903d07c8ba80119b47a237fa24
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Tue Jul 31 13:17:55 2012 +0300

    Make heat-jeos list Ubuntu-compatible
    
    Ubuntu 12.04 ships with a newer version of prettytable (which we use to display the heat-list output) than Fedora 17.
    
    The column alignment formatting API changed between the version. This change makes sure the proper call is used.

commit f430bfecc2a4022967260ff4cb80e3cb9ff84790
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Mon Jul 30 18:59:44 2012 -0400

    Change name from heat_jeos to heat-jeos
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit 1e01e6ad17e7ff26d1a65e5d5a48188ef7a00107
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Jul 23 12:53:42 2012 +1000

    Remove parse_haproxy_unix_socket() from non-haproxy case
    
    copy-paste error.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 232ca9f159aec49fc6ac845ad89657f6d52dbb58
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Jul 20 12:40:25 2012 +1000

    add simple support for post.update to cfn-hup
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 59eac1c0ca7593ae0cf750e57b15634bc5b4033c
Author: Zane Bitter <zbitter@redhat.com>
Date:   Thu Jul 12 11:28:21 2012 -0400

    Fix use-before-assign error

commit 36b53eade984aa06b1f9ab58c4c9106955e0652d
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Wed Jul 11 11:53:50 2012 -0400

    Add docs to manifest
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit 72ce5af925e8dc3aa4dc9faebab7182113614dda
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed Jul 11 12:06:00 2012 +0200

    Check for Glance creds before building the jeos
    
    Fixes #7

commit 7b51f55e7eb8137cc5bb09617b024c8815f99e7c
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Tue Jul 10 16:49:07 2012 +0200

    Fix empty cfntools in generated images
    
    Fixes issue #11

commit 4056d55fce261f0ffd97951222f4ae4f08912de2
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed Jul 4 16:25:16 2012 +0200

    Add manpage
    
    Fixes issue #4
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit 42e978f3ec5186141bade124e2508c460a4d562b
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Fri Jun 29 16:07:40 2012 +0200

    Improve the heat-jeos usability
    
    Fixes issues #2 and #3
    
    We'll use only two commands: `list` and `create`.
    
    `list` displays the bundled Oz templates and `create` builds the JEOS and
    optionally registers it with Glance.
    
    The OS metadata (distro, arch, version) are no longer passed as the cli
    arguments. ISO location is read from the template.
    
    The user can pass their own custom template.
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit 188dc78ca560dc81a5e7b5b8b20b1ba568c0d088
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Jul 5 09:58:35 2012 +1000

    Add haproxy metrics to the cfn-push-tool
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 8ded50e2827d4470d2a429da4aa37fced9b84ec4
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Jun 26 09:35:49 2012 +1000

    cleanup the commands section
    
    Add a larger timeout to the cloud-init unit file.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 398e510dec105b11a88b98c9e965a081419153b9
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Jun 28 07:52:52 2012 -0700

    Build gold image - was previously broken
    
    Patch work form Patricka Petit
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 98145cb2f6fdc65b4fe5eafb6a8cf8078c8452ba
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Jun 26 12:32:43 2012 -0700

    Set TimeoutSec to zero in fedora systemd files (don't timeout)
    
    Fixes issue #1
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit cdaaf367e0b5c18da2ca2e82476053358d72e429
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Fri Jun 22 17:14:01 2012 -0400

    Bump ubuntu iso version and some clean up
    
    Specifically bump iso 10.04-3 to 10.04-4 (current release). Also fix
    not displaying the error message on a jeos creation failure.
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit c05c3e7224dcc5bcc9c8502a6d3062883e13a7a7
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Jun 18 15:07:38 2012 +1000

    Change cfn-push-stats from a POST to a PUT
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 66ba60d4b11eda81b7ffb55c3019a772a812bee7
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Mon Jun 11 12:27:35 2012 +0200

    Make Glance hostname and port configurable
    
    Fixes #128
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit d9c15b22d162cb74a8070a47538c9dd2fc13b7ec
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Fri Jun 8 20:11:49 2012 +0200

    Subcommand-specific argument handling
    
    The tdl, image and register subcommands require different arguments.
    Therefore each command handles the argument processing separately and
    has its own usage help text.

commit 03c6e89230b7d477ca99a03be848543fdc1ddea2
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Fri Jun 8 17:23:10 2012 +0200

    Use Oz as a library instead of shelling out
    
    This should make things more robust and provide ground for better error
    reporting/recovery in the future.

commit 94e68a13fc7666d6c156dda58d8577e1bb96d99c
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Jun 7 07:27:14 2012 -0700

    Change usage/help text
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 973a8c26502f94a690c66bffb91c33dd163df73e
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed Jun 6 13:36:13 2012 +0200

    Split jeos creation into three separate commands

commit 66d052978676a468a5365eae25be54a26d67a1a0
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed Jun 6 17:16:56 2012 +0200

    Fix the jeos and cfntools paths handling
    
    This makes sure that heat-jeos can find the default jeos and cfntools
    directories (in both development and installed mode) along with allowing
    the user to specify the paths via commandline arguments.

commit 9626e64cce6019973a60aedca3ab984b6628c849
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed Jun 6 14:05:22 2012 +0200

    Add requirements.txt

commit f8ae70765f9a45c33da0109b2a9b9f2f9c230845
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed Jun 6 14:04:57 2012 +0200

    Fix the setup.py warnings

commit 3fe50d72e1331018909cca2716d927937a6ca463
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Jun 5 16:07:21 2012 -0700

    add setup.py to heat-jeos command
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 41c4f5df10534e45ec79178dc4b23fd6fda77ed8
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Tue Jun 5 17:25:11 2012 +0200

    Update jeos creation to work with the new options

commit fc7ec4a181402399b1d8c0f67b003ede1534aa93
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Tue Jun 5 16:01:20 2012 +0200

    Add the basic top-level commands

commit bc263471478719937b6fa2ed26a4ef974693c284
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Tue Jun 5 13:36:10 2012 +0200

    Update the jeos and cfntools paths

commit 55bc1cf5215caad6e0716c9a038dee4ec141ba29
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Tue Jun 5 13:04:14 2012 +0200

    Remone non jeos-related files
    
    To prevent the cfntools commit history, we've forked the Heat repo. That
    means there's a lot of files that heat-jeos doesn't need.

commit 7490cc4b0eadaae22906cdd3ea0803aaaef75335
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Tue Jun 5 12:54:58 2012 +0200

    Initial standalone heat-jeos bin

commit 9f2150701cedb31ff7673cfe2bdb5f9d269c8efc
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Jun 4 15:27:43 2012 -0700

    README rst file
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 70c687ccf735ce8194b1e774880493c8e7047226
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Mon Jun 4 13:13:21 2012 -0400

    Change command interpreter to bash
    
    This is important since /bin/sh is symlinked to dash by default on
    Debian based systems.
    
    Change-Id: I47b6317981ec020bed0bc45f7f68b636d71023d6
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit ba49964211fb4e8f5052d17840f4654e7205d646
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Mon Jun 4 16:44:20 2012 +0200

    Add qpid-cpp-server to the openstack setup script
    
    Change-Id: Ie63b1031583091b5bdfd52f79e59b841f21ee778

commit 93ea554c0e72fa02b9cbdaf616b905039faf8d79
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Jun 4 21:16:31 2012 +1000

    Teach heat-api about the bind_host
    
    Change-Id: Ica32693373a87f01c41755a2b041c187bddd034d
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit bece6593f00f8e096f045982673f85c67863b932
Author: Zane Bitter <zbitter@redhat.com>
Date:   Fri Jun 1 10:50:15 2012 +0200

    Refactor template resolution
    
    Resolve functions in templates by making a copy of the data rather than
    modifying the original. This means that e.g. a resource resolving functions
    in its own template data does not result in changes to the data held by the
    Stack.
    
    This patch also refactors all of the template resolution methods to operate
    using a common parsing algorithm to move through the tree.
    
    Finally, the resources have been worked to load data as it is needed,
    rather than requiring external code to put them into the correct state
    before using them.
    
    Change-Id: I79eafaefc9ced07b652fac7162aa2edbfa7f547a
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit abd4b735e5f2d32e3d7bf5580b128090af0f8e4d
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Jun 1 13:55:54 2012 -0700

    U10 wordpress template
    
    Change-Id: I25beb7b48e287b3097379c1e1f92adc309ce9c83
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 1852373470a7b41bc20c3cfba2e7fb7922c0748e
Merge: 6b0e7a4 4b1e386
Author: Jenkins <jenkins@review.stackforge.org>
Date:   Fri Jun 1 19:18:32 2012 +0000

    Merge "Fix the Getting Started guide for the new setup.py"

commit 6b0e7a4314d0573319f55da3833b5b0f2b56435e
Author: Ian Main <imain@redhat.com>
Date:   Fri Jun 1 11:50:36 2012 -0700

    Fix new pep8 warnings.
    
    With the new release of pep8 we have some different requirements.
    This patch fixes them all.
    
    Change-Id: Ief16becba47007460f8b125907b055aa51de999e
    Signed-off-by: Ian Main <imain@redhat.com>

commit 4b1e386c795299fadfb7227db171235ed4b33ebc
Author: Zane Bitter <zbitter@redhat.com>
Date:   Thu May 31 16:09:35 2012 +0200

    Fix the Getting Started guide for the new setup.py
    
    With the new setup.py script, OpenStack must be installed before heat,
    otherwise PIP will start importing bogus dependencies (at least on Fedora).
    
    Also install stuff that was previously being installed by setup.py. This
    will eventually be replaced with an install script (see #134).
    
    Change-Id: I942def545f9351a1f3238dac49f34b13370e2597
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit fdfb967cef058cad934abc3c11d7f3785b540903
Author: Zane Bitter <zbitter@redhat.com>
Date:   Thu May 31 11:17:30 2012 +0200

    Refactor Resource creation
    
    Allow the Resource class to instantiate the correct type of object for each
    resource.
    
    Change-Id: I518f27fa27f675b9e497aac40962331833077aed
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit ee2500263d0053c0850c92309c6dcbe12a014626
Author: Zane Bitter <zbitter@redhat.com>
Date:   Thu May 31 11:17:30 2012 +0200

    Clean up imports
    
    Change-Id: Ibca9c8ab8b9dafb813baee6a9c4aa024bf9733e2
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 0da631a3216ac5c76e7c12ca606b7be78a28d052
Author: Zane Bitter <zbitter@redhat.com>
Date:   Thu May 31 11:17:30 2012 +0200

    Don't use sys.exc_value
    
    sys.exc_value has been deprecated since Python 1.5, and is not thread-safe.
    The replacement is sys.exc_info(), but in this case we don't need even that
    since we have the exception in question available.
    
    Change-Id: Ibb4b354fd099fbf0d6390163eb4f7cc9e97db0e9
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit cfe391073a681ba8f1b806fc53428adb36486181
Author: Zane Bitter <zbitter@redhat.com>
Date:   Thu May 31 11:17:30 2012 +0200

    Get list properties working again
    
    The CloudFormation documentation is very confusing on this point.
    'CommaDelimitedList' is one of the data types that are valid for a
    Parameter (the others are 'String' and 'Number'). A CommaDelimitedList
    parameter takes the form of a string where the list members are delimted by
    commas:
    
        "item1,item2,item3"
    
    However the documentation also uses the phrase "Comma Delimited List" to
    refer to the type of some Resource Properties that are, in fact, simply
    lists:
    
        [ "item1" , "item2" , "item3" ]
    
    ...as if there were *another* way to represent lists. (Note that the
    items here need not be strings, and in fact are usually objects of some
    variety.)
    
    So we need a different data type to represent the latter. (This patch
    changes the name from 'TupleList' to just 'List', since the actual Python
    sequence type is just an implementation detail.) In future, we should
    probably also verify that only the 3 valid Parameter types are used, and
    perhaps that list Properties contain only objects of the correct type.
    
    Change-Id: I94054f588fc37f7d4ba245f2e92b86ac9c872c37
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit d1f71f6d5d4dbbcc68d33f3779f09aaaf4aefd19
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu May 31 14:25:59 2012 +1000

    Remove _authenticate() check for metadata calls (temp)
    
    To be replaced by proper AWS auth, which needs AWS::IAM::AccessKey
    resource type to be hooked up.
    
    Change-Id: Icbdb08493fb51add5e6d3d5f4a153595f93c8f75
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 07d1eb9b78e72ae6266680f13824b254a7564d6b
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu May 31 10:48:35 2012 +1000

    Fix the HA template (sed the username/password)
    
    Change-Id: I835a9f6d2a9abfdeb5af8fb703c8abae5afae2d1
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 5f7cf95f26bb7c2c26f1dba70502ff2bfc4b9db0
Author: Steven Dake <sdake@redhat.com>
Date:   Wed May 30 14:49:27 2012 -0700

    Fix apt-get install
    
    rpm deps not available on ubuntu systems
    fix apt-get install doesn't work (string vs list)
    
    Change-Id: Ic2da1415f9bccb15321afd0ed5111041cbf2a2d0
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 13e6e7d1a9309d8510d489d789dbd862c539d37d
Author: Steven Dake <sdake@redhat.com>
Date:   Wed May 30 20:06:23 2012 -0700

    Remove python 2.7ism
    
    Change-Id: I9e74d79e42cc22aa0f0883fb1e1582be2860d842
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit f924a681ea005650fae60fcc52c6dc66bfd9b1db
Author: Steven Dake <sdake@redhat.com>
Date:   Wed May 30 13:26:20 2012 -0700

    Compress qcow2 files to take up less disk space
    
    This results in less data transferred during a glance registration.
    
    Change-Id: I36d17c6e1bf12e3e0f37394d5522c6f4f59313de
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit c2f0e488f3b09cfd6dbb81d70ec67ff8b2746dc8
Author: Steven Dake <sdake@redhat.com>
Date:   Wed May 30 11:15:34 2012 -0700

    Install argparse and update the U10 package cache
    
    cfntools require argparse
    U10 package cache needs updating to install packages correctly
    
    Change-Id: I3630f5082d4b9f73fa95805d51684a68bf8c0d6e
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit a093e6d074872c761dda3ab84701e35b019c4204
Author: Ian Main <imain@redhat.com>
Date:   Wed May 30 10:46:15 2012 -0700

    Fix auth failed exception handler
    
    This patch fixes the auth failed exception handler so that we
    get back a meaningful result when authentication fails.
    
    Change-Id: I2f37daed3890fd685fa6f701938b675460e76b0c
    Signed-off-by: Ian Main <imain@redhat.com>

commit daa2c72f0cbe1c860e65821cb9566ea97e0bda4a
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed May 30 16:52:17 2012 +0200

    Set stack's `updated_at` time
    
    Fixes #126
    
    Change-Id: Ie7abe6c3385632138671cb0b7f12dfa33e69bae0

commit bd281338493ea3612c65602b60a578276be5db89
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri May 25 11:53:57 2012 +1000

    Add instance restarter
    
    Change-Id: I8ef28efc7d86a1a3a44f4784cb496c415a14f95c
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit afa0d4cf0b48eaf8fb790e0e31649e952b2e5e84
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed May 30 13:10:02 2012 +1000

    Add a name to the checkeddict to improve the error messages
    
    Change-Id: I11edc3bce77cd84d0393d6d95c6733b7901f95a1
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit a5962d10782263a33e7d3fb403b12ee3149e408f
Author: Ian Main <imain@redhat.com>
Date:   Tue May 29 14:09:57 2012 -0700

    Authentication Overhaul
    
    This patch updates the authentication system set up in heat:
    
    - We now authenticate against the 'heat' service at the entry
      point to each api call in the engine.
    - We are now using the 'Context' class to contain the authentication
      information as intended.
    - The two context classes are unified and we now use the same one
      for both WSGI and RPC.  This is the intended design as the
      context is loaded by the WSGI middleware and then passed into the
      RPC methods.
    - We are now doing token authentication in the API that works with
      both native keystone and AWS style authentication.  That token is
      then passed on to the engine for further authentication for various
      endpoints.
    
    Note that the heat-api-paste.ini file requires updating in order for
    this to work on your system.  Admin user and password must be set
    properly in the authtoken section in order to perform token based
    authentication.
    
    I suspect there will be a few bugs in here yet.  This is just part of
    the authentication/identification changes we need to make but I wanted
    to get this in so we could continue to work with a boto based client.
    
    Change-Id: Ib635ecd3088304e8d51d8e1fc31a8b1bf751caf3
    Signed-off-by: Ian Main <imain@redhat.com>

commit 9ea875a250637664b009f332fd9c40ba126b5ee9
Merge: 29aea9c 9098543
Author: Jenkins <jenkins@review.stackforge.org>
Date:   Tue May 29 21:40:06 2012 +0000

    Merge changes I31d97b0d,I10507113
    
    * changes:
      Changed SecurityGroups property type to TuplesList
      Change the policies for User to TuplesList

commit 29aea9c552f77209cb56b260cc40aa08237b588e
Merge: 8803a2c 71681de
Author: Jenkins <jenkins@review.stackforge.org>
Date:   Tue May 29 21:37:22 2012 +0000

    Merge changes I475ac4f7,I212cffac
    
    * changes:
      Add missing "properties_schema" to WaitConditionHandle
      Fix jeos_path when not intalled as an egg

commit 909854333857706070973883d7bc4e55af53f394
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Tue May 29 15:03:05 2012 -0400

    Changed SecurityGroups property type to TuplesList
    
    Change-Id: I31d97b0de6e72bd24f0f78d86890726fc1e8a138

commit 99e1bc728b7b54ba8d2a3a64545a5f288fb21583
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Tue May 29 11:08:02 2012 -0400

    Change the policies for User to TuplesList
    
    Change-Id: I105071135a6b20a414c2f4016ca3a8312a4ee2a2

commit 8803a2c66e9680ecb35f08139f7c6654aba799a5
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Sat May 26 14:16:19 2012 -0400

    Add missing flags to enable working with RabbitMQ
    
    Note: rpc_backend=heat.rpc.impl_kombu must be set in both heat-api.conf
    and heat-engine.conf.
    
    Change-Id: Ia7f5af8805240381f28ecae1efc0a677155f898e
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit f3913a9a3e8f0f84f74ba65a1ba7634e231f354a
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed May 23 17:59:41 2012 +0200

    cloudwatch: set HA template to send watch data
    
    The Wordpress HA template is now able to utilize the cfn-push-stats and send
    alarm messages to the metadata server.
    
    Change-Id: I52b615d3401dc2665e2b30e4a925d61ed204c827
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit 1d5aec19d72aecdf6158e90f55d42a9abe280dd5
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri May 25 19:24:29 2012 +1000

    Add the basic cloudwatch feature
    
    Fix watch db tables and silly programming errors.
    get basic posting data to metadata server working
    add watch_rule_get_all()
    check for alarms in a periodic task
    delete watch_data when the rule is deleted
    add a last_evaluated field to the watch_rule
    remove unused option to watch_data_get
    take better account of the sample period.
    - still much to be done here (evaluation periods).
    add some useful stats to cfn-push-stats
    fix how the metric is accessed
    fix a divide by zero
    
    Change-Id: Iaf98499d0e3ac6d6f951ea38b3b0f409669258da
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 71681dec4479b1a77ce5a40cff0da282c739419d
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri May 25 12:12:14 2012 +1000

    Add missing "properties_schema" to WaitConditionHandle
    
    Change-Id: I475ac4f72613a2f20275949a01168246cae1fb52
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 07018fe88a020532649369750fbcc529196571d7
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri May 25 11:51:21 2012 +1000

    Fix jeos_path when not intalled as an egg
    
    Also use os.path.join() to sort out trailing "/"
    
    Change-Id: I212cffacc018f456894e9b7921fef75256edcf45
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit a16a8bb9c272613bcd8e705e1e53aa5c0771f569
Merge: c3256b5 84b6569
Author: Jenkins <jenkins@review.stackforge.org>
Date:   Fri May 25 00:29:15 2012 +0000

    Merge "Changes to checkeddict for tuples and required"

commit c3256b508334396d78c7faeec255c732faea7fe2
Author: Steven Dake <sdake@redhat.com>
Date:   Thu May 24 17:12:27 2012 -0700

    Allow login to U10 jeos launched from heat
    
    cloudinit on debian expects the user "ubuntu" - hard code to ec2-user
    useradd doesn't create home directories on U10 without -m option
    
    Change-Id: Iaaee6df560b60e203b17a36bba57ac410ad6ed56
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 84b6569ae65f766fdb225dbdf96db73c1bf1cb58
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu May 24 15:22:41 2012 -0400

    Changes to checkeddict for tuples and required

commit 4c1adc193f95a9b1ee5df81b318e8150b1b1b7b6
Author: Steven Dake <sdake@redhat.com>
Date:   Wed May 23 18:24:57 2012 -0700

    Make i386 cfntools jeos work
    
    was expectin cfg-* instead of cfn-*
    
    Change-Id: I6234829d92a33e8bd4a8fab246ded2c1a43afc55
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 0cdccbd93f478244e65b3f1d74519721d6e113bf
Author: Steven Dake <sdake@redhat.com>
Date:   Wed May 23 16:09:00 2012 -0700

    Add U10 JEOS support to heat jeos_create
    
    This requires oz 0.9.0 (or latest master).  0.8.0 shipped with
    most distros does not have customization support for Ubuntu
    images.
    
    fixes issue #23
    
    Change-Id: I854aaf9657353b3fdb4768a277b527304e88ac8e
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 03ae5b2d1c33d23105206398425d235e21e7c223
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu May 24 21:01:46 2012 +1000

    Validate all resource properties
    
    Change-Id: Ib0346fd22636d3eae31c688426b966f07acda19c
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit a83fcc6aa33540257762cd73196e8bbb448ef10b
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Wed May 23 16:13:00 2012 -0400

    Add functional test to verify jeos and stack ops
    
    (Tox.ini has been modified to only run tests tagged with 'unit'
    to prevent this test from running with unit tests.)
    
    This test requires an OpenStack install present and will not run on
    StackForge. This test creates a JEOS, waits for glance registration,
    detects key registered with keystone, creates stack, and verifies over
    SSH that:
    - cfn helper script SHAs match tree
    - verifies presence of wordpress
    - verifies expected user data is present in multipart mime file
    
    closes #112
    
    Change-Id: I22a0dfe41986d466ac689c050fc33585e3e6229e
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit a4f5ae264d669eaf4a484f4877d0ebad7070f753
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed May 23 16:19:33 2012 -0400

    Fixing variable name for debug message
    
    Change-Id: I5992e0c449b5caeff3fd91c3aefe721ab32830c4

commit b00987868101b75aa599723471689106b4d411e1
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed May 23 15:37:07 2012 -0400

    using the calculated path for the template tests
    
    Change-Id: Ifc5f142cf36a387d32f2ea70dfcb1bb33a44a056

commit 5467f40da3c447f43da487b1faa8d37638c89cf5
Author: Zane Bitter <zbitter@redhat.com>
Date:   Wed May 23 20:34:54 2012 +0200

    Update resource statuses in the database
    
    This ensures that resources will not get deleted multiple times when
    something else fails during stack deletion.
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit c63965b3a09c149d2bc7bd1438a1d8b03bdc3e55
Author: Zane Bitter <zbitter@redhat.com>
Date:   Wed May 23 19:14:39 2012 +0200

    Fix deletion of security groups
    
    First off, don't set the instance_id to an empty string as soon as we
    retrieve the object from the database.
    
    Also, don't fail if we try to delete a security group that no longer
    exists.
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 72c383396d42c21b73b4ce66717e6e0cfd2978ce
Author: Steven Dake <sdake@redhat.com>
Date:   Wed May 23 07:42:19 2012 -0700

    Only run cfn-init once
    
    cloud-config-final.service (atleast in Fedora 16) runs the user scripts.  So
    there is no need to run them in cloud-config.service (which this file is processed
    by).
    
    May need a revisit on deb based systems.
    
    Change-Id: Ib7c3d56a50bcdc4ea68626e1d57a28a4ec70e1b4
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit e4ccac1f94f4aaa9951be05ab95343b9f36b11b7
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed May 23 22:15:38 2012 +1000

    Use the new CheckedDict for Parameters
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit af15b0d1346fac894b1daebc58634792889c9c4a
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed May 23 21:53:11 2012 +1000

    Add some better checking for parameters and properties
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 4955a9bf4807e37ad868ef0f20bd82e2645c25ca
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Tue May 22 17:05:55 2012 -0400

    Fixing path lookup to make sure the templates can be found
    
    Change-Id: Ib48c27a9d0a794d243e48661aaebb108728af6bb
    
    Conflicts:
    
    	heat/tests/test_resources.py
    	heat/tests/test_stacks.py

commit 0aceb40c391db3630e3847ada2a11553eecb95f0
Merge: d3c5d74 12fbd15
Author: Jenkins <jenkins@review.stackforge.org>
Date:   Tue May 22 20:03:24 2012 +0000

    Merge "tools/openstack: Updated to latest openstack F16/F17 tools"

commit d3c5d744b64af75ff8ac29689ad120d330f0c076
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Tue May 22 13:29:25 2012 -0400

    Adding the AWS::IAM::User and AWS::IAM::AccessKey to the mapping

commit 12fbd15b60ed9489462a46fafef31ee76776d680
Author: Steven Dake <sdake@redhat.com>
Date:   Tue May 22 09:50:53 2012 -0700

    tools/openstack: Updated to latest openstack F16/F17 tools
    
    Change-Id: I8e6b376a90ad1641c10eea2ef6711a9cd09ee2e0
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 70020f71d94d63130be38a8b35f0520b3fa3a501
Author: Andrew Hutchings <andrew@linuxjedi.co.uk>
Date:   Tue May 22 13:11:39 2012 +0100

    Update gitreview for new Stackforge remote
    
    Change-Id: I265b771fa2b4d040a9e90ceb265941acdea90156

commit 2fc479c6845a71eba91ee72693caf8ab255a87bf
Author: Monty Taylor <mordred@inaugust.com>
Date:   Thu May 17 16:02:04 2012 -0400

    Align with project standards.
    
    Rebased from: Change-Id: Ifc9fff4f88dfaebe97b7caba4d603d23c645e346
    
    Reviewed-by: Steven Dake <sdake@redhat.com>

commit 4c68cf63e3e640a843a83a70cf34742bed6f3683
Author: Steven Dake <sdake@redhat.com>
Date:   Mon May 21 16:43:48 2012 -0700

    Fedora openstack projects use new tools to setup databases
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 3970b5d76aecc0c64d408a2836df42da9c16b40f
Author: Andrew Hutchings <andrew@linuxjedi.co.uk>
Date:   Thu May 17 11:16:00 2012 +0100

    Add .gitreview for Gerrit
    
    Reviewed-by: Steven dake <sdake@redhat.com>

commit 40fd546f8390f95c7ed6fab06fbc1eac63aabf11
Author: Zane Bitter <zbitter@redhat.com>
Date:   Mon May 21 23:41:17 2012 +0200

    Add an integration test script
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 21413cafcd515af253e72de6b4fc6f237c0cb684
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Mon May 21 15:41:29 2012 -0400

    Pep8 fixes

commit af8dab457046b5911ad22d8442dfd153408ebfc5
Merge: a72267c 2f827bd
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Mon May 21 15:39:11 2012 -0400

    Merge branch 'puppet_instances'
    
    Conflicts:
    	heat/api/v1/__init__.py
    	heat/engine/parser.py

commit 2f827bdd2a5e6b12ee05a334096ebab1ede9580a
Merge: 7d0a350 480d382
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Mon May 21 15:33:08 2012 -0400

    Merge branch 'puppet_instances' of github.com:heat-api/heat into puppet_instances
    
    Conflicts:
    	heat/api/v1/__init__.py

commit 7d0a35030ae50d9405368d36519db712896841cd
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Mon May 21 14:50:54 2012 -0400

    Fixing _decompress to handle bundled and compressed
    
    The api call to os.path.splitext returns the root and the ext;
    however, for a .tar.gz the ext would just be the .gz, which meant
    there was no handler for a file with a .gz extension.

commit a72267cb0cab2e61e49b6f53e40aadbca3e8ec91
Author: Zane Bitter <zbitter@redhat.com>
Date:   Mon May 21 14:53:42 2012 +0200

    Handle failures when deleting stacks
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 53eda6d78a4c8714dfdd198ad61f2505c894dcde
Author: Zane Bitter <zbitter@redhat.com>
Date:   Mon May 21 20:18:33 2012 +0200

    Fix problem with updating parsed template in DB
    
    The parsed template would not always be updated correctly when the actual
    template object had not changed (only the contents). This change forces an
    update by making a copy.
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 08c79368245573b79acfb1e0b203813aa8de5078
Author: Zane Bitter <zbitter@redhat.com>
Date:   Mon May 21 15:08:36 2012 +0200

    Fix copy-paste errors in template descriptions
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 45702a0d2690e13f923d9880b0afe64356ce5d16
Author: Zane Bitter <zbitter@redhat.com>
Date:   Mon May 21 14:53:03 2012 +0200

    Improvements to uninstall script
    
    - Kill only the specific heat processes we want (heat-api and heat-engine).
    - Remove installations wherever they may be located.
    - More robust handling of input.
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 80302ceffdf7a3361791f150dc3a095eb15d32ff
Author: Zane Bitter <zbitter@redhat.com>
Date:   Fri May 18 14:02:39 2012 +0200

    Refactor some not-particularly-Pythonic code
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 8550a36f48e151a1618bf2cc9631f1788a8d7264
Author: Zane Bitter <zbitter@redhat.com>
Date:   Fri May 18 14:02:39 2012 +0200

    Delete networks when erasing OpenStack
    
    This is required to remove any network interfaces created using nova. If
    these are left behind they prevent a new installation of OpenStack
    re-adding them.
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 04da765efb31cdcb5ad59d0d188402a8d8570df6
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Fri May 18 11:10:55 2012 -0400

    Adding chaining to CommandRunner

commit cd798ff0cd5cdba71d11daa38e608c1a4dd0d4fb
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu May 17 10:33:39 2012 -0400

    Making PrivateDnsName return the ip address

commit bba73f4c75056799ca384485016db026f38df30e
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed May 16 16:15:34 2012 -0400

    Adding puppet and puppet master instances

commit c9da1924bf13ab96c601bbf27f63c86a200198b0
Author: Zane Bitter <zbitter@redhat.com>
Date:   Fri May 18 14:02:38 2012 +0200

    Wait for instance startup in GettingStarted test
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit d9474b32c260c0914f5c607c63ade2d52eca56ef
Author: Steven Hardy <shardy@redhat.com>
Date:   Thu May 17 21:43:51 2012 +0100

    api : fix pep8 warning
    
    Fix long-line pep8 warning
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit 67203a54975db6294469b8fb0fcfe20105830c72
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Thu May 17 16:49:15 2012 +0200

    Allow engine and metadata server start in any order
    
    When the metadata server starts first, it will wait for the engine to come up
    and only then registers it's hostname and port and becomes available.
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit 480d38266bc313197aa664c5c20f2a3b4f6d893b
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu May 17 10:33:39 2012 -0400

    Making PrivateDnsName return the ip address

commit 1fb16a433053cff5476872f79d25cdd476a69c6f
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed May 16 15:15:39 2012 +0200

    Clean up the API routes
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit 77a30304ed141c54c3b346b2cfff5ca81c231910
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed May 16 16:15:34 2012 -0400

    Adding puppet and puppet master instances

commit a18fb604ccecc37e73f6ea8f4f5f6a6755d60ad7
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed May 16 15:15:39 2012 +0200

    Clean up the API routes
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit 53447e67fd0d14888a29e1bd683c2ff99a06bac6
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue May 8 14:26:23 2012 +1000

    Make the wait condition behave better when the stack is deleted.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 298e0921aeb081ab1e3f8aa93ab3814a849877a2
Author: Steven Hardy <shardy@redhat.com>
Date:   Wed May 16 09:36:43 2012 +0100

    heat cli : Add options to bash completion script
    
    Ref #87 add completion of long-format options, align the command options with
    the "heat help" option
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit 9f8b4b42858ae6cd66c0f1e64cc8e30475b66258
Author: Steven Hardy <shardy@redhat.com>
Date:   Tue May 15 22:01:18 2012 +0100

    heat client : reduce duplication between functions
    
    Move common code into utility function to reduce duplication
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit 26cc7efb4d7623be0ef994ff00cf8c00943c44e2
Author: Steven Hardy <shardy@redhat.com>
Date:   Mon May 14 23:27:02 2012 +0100

    API and heat-cli rework to align with AWS CloudFormation API
    
    Ref #115, rework API mapper to route by Action= query parameter,
    not by path, and align heat CLI tool with revised API.
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit 0f1bd5d29102318e62b5a10281d809807bd3b163
Author: Zane Bitter <zbitter@redhat.com>
Date:   Tue May 15 15:03:38 2012 +0200

    Report errors when resource creation fails
    
    In order for the Stack creation to fail, resources must raise an exception
    when their creation fails. The Stack's create code will set the resource
    state appropriately; resources should not silently do it themselves.
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 0720684956380ad3b5140f474a1c5a568bcd66f9
Author: Zane Bitter <zbitter@redhat.com>
Date:   Tue May 15 11:42:37 2012 +0200

    Modify command names for consistency
    
    Replace 'events_list' with 'event-list' and 'jeos_create' with
    'jeos-create'. This makes things consistent with the conventions of
    OpenStack projects. The old versions will continue to work for now.
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 4f34681d1de31f72f6a2f7ecddb22162d5cf6373
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Mon May 14 14:24:25 2012 -0400

    Updated the version to 4
    
    Signed-off-by: Chris Alfonso <calfonso@redhat.com>

commit 7a28ec601e5da452f6f8395b8f809acd89bbea19
Author: Zane Bitter <zbitter@redhat.com>
Date:   Mon May 14 17:56:33 2012 +0200

    Make 'heat help' show a list of commands
    
    Previously we just printed an error message about not specifying a command
    to get help about, and no hint about how to work out which commands even
    existed.
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 645d093c457a1ccae00d0068a6c2e76960c05b85
Author: Zane Bitter <zbitter@redhat.com>
Date:   Mon May 14 16:03:49 2012 +0200

    Allow the Getting Started script to run non-interactively
    
    Related: #84
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 0cd65f8cac2cb79ea469cd3473d56ecc3df33dd7
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Mon May 14 09:55:50 2012 -0400

    Fix pep8 errors

commit 596b74d72a76a41356a70026570f77c1d2fd037b
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Mon May 14 13:56:27 2012 +0200

    Set cfn-hup to send events to the metadata server
    
    Fixes #107
    
    This is implemented using a logging handler that sends events to the metadata
    server.
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit 95e3a0165d8d417b46aa86ade168c6dd9d528d0c
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon May 14 21:15:23 2012 +1000

    Slim down the getting_started template.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 3c84d66de9a07c69c22e94fdf743a2a4687e02eb
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon May 14 21:14:55 2012 +1000

    Check for the presence of Metadat before trying to include it the multipart
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 845a670f7d8b7e96db6491661bd4bdec06250520
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Fri May 11 19:23:27 2012 -0400

    Add status argument that shows service status for all required services
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit 534416cfcd496dc7ed791278caa133f317bdee09
Author: Steven Dake <sdake@redhat.com>
Date:   Fri May 11 15:12:56 2012 -0700

    Kill some pep8 errors in test_stacks.py
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit adc331c8184e38b550bc6fc7106fa16916d11028
Author: Steven Dake <sdake@redhat.com>
Date:   Fri May 11 15:10:47 2012 -0700

    Kill some pep8 errors in engine directory
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit e4ba0e5642bbcaac28031b088d33a07141519195
Author: Steven Dake <sdake@redhat.com>
Date:   Fri May 11 15:07:34 2012 -0700

    Kill few pep8 errors
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit d7568d2fa3fd6873e62d4cfe3ed169de8f32914a
Author: Steven Dake <sdake@redhat.com>
Date:   Fri May 11 14:58:14 2012 -0700

    Properly test ref valid against proper input
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit af7e57cad2466240172a3b15eb7bd61b82d1be01
Author: Steven Dake <sdake@redhat.com>
Date:   Fri May 11 14:55:24 2012 -0700

    Use manager to test ref validation
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 6b631d9136171fc8244cce72e4810bff36102fc2
Author: Steven Dake <sdake@redhat.com>
Date:   Fri May 11 14:52:31 2012 -0700

    Add test cases to test valid and invalid keys in FindInMap
    
    Partially Fixes issue #111
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 099318e5139d4585dd1a4d7f90e355088c987062
Author: Ian Main <imain@redhat.com>
Date:   Fri May 11 13:54:40 2012 -0700

    List stacks tests
    
    Implements a list stacks test.  This one calls straight into engine
    manager.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit fb23391277120e1ecd76e7b94625256c097a29db
Author: Ian Main <imain@redhat.com>
Date:   Fri May 11 11:14:08 2012 -0700

    Move list_events into the class.
    
    I think I went too far last time, this should at least be a method
    of the class.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit a4f82756f8c25a80618d98e8e467c65973520aeb
Author: Ian Main <imain@redhat.com>
Date:   Fri May 11 10:47:17 2012 -0700

    Factor out a start_wordpress_stack()
    
    There was a lot of code duplication in the tests so I factored out
    a function to start a wordpress stack.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit 50e5f2de917612dcf4285d9fdc66036329f1ffa5
Author: Ian Main <imain@redhat.com>
Date:   Fri May 11 10:23:38 2012 -0700

    Add event_list test.
    
    I moved parse_event out of the method and into the class so we could
    call it from the event_list test.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit 876a450a4e0a4a30f5e5097b837cf88ff61d2aad
Author: Zane Bitter <zbitter@redhat.com>
Date:   Fri May 11 18:54:38 2012 +0200

    Add uninstall script
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 95e5ed067096ff52bbcd6c49146b74e1d59d2d3f
Author: Zane Bitter <zbitter@redhat.com>
Date:   Fri May 11 18:54:38 2012 +0200

    Add Getting Started guide to repo
    
    Convert the Getting Started wiki page to ReStructuredText format and add it
    to the repository. Also add a script that will extract the shell commands
    from the document and run them, so we can use it as an integration test.
    
    The script can be run using the command:
        > bash -c "$(./tools/rst2script.sed docs/GettingStarted.rst)"
    
    Related: #84
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 65397941666a0aed0e8785a76628c57f35819a79
Author: Zane Bitter <zbitter@redhat.com>
Date:   Fri May 11 18:54:38 2012 +0200

    Add cfn-get-metadata to the manifest
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit cbdbf3146eb268da56f775a3a8d9d91197464e40
Author: Zane Bitter <zbitter@redhat.com>
Date:   Fri May 11 18:54:38 2012 +0200

    Fixed problems with starting MySQL in heat-db-setup
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 46bdd9bb1e963f97bd45718a85ae83d6888fb659
Author: Steven Dake <sdake@redhat.com>
Date:   Fri May 11 09:41:51 2012 -0700

    Add test_validate_ref for invalid and valid inputs
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 7f4323365a6eedca8465fe70282c14b89cb8d78e
Author: Steven Dake <sdake@redhat.com>
Date:   Fri May 11 08:33:13 2012 -0700

    Check for invalid Fn::FindInMap key
    
    Partially Fixes Issue #111
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit bbed10f941e59c92775db845a6d6b97e1066063c
Author: Steven Dake <sdake@redhat.com>
Date:   Fri May 11 08:30:17 2012 -0700

    Check for invalid Ref keys in validate
    
    Partially Fixes Issue #111
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 33c6afd6c86cf7ea42e60ef114cad6938d400929
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri May 11 10:45:35 2012 +1000

    TEST: slightly better version with minimal template in place.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 8de0aff3d798342c831736b2fa6f8ce2e76b971a
Author: Steven Dake <sdake@redhat.com>
Date:   Thu May 10 17:10:53 2012 -0700

    Add volumeattachment validation
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit d3bdddee682bd7039d6febee332817be099e4f86
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu May 10 15:31:31 2012 -0400

    Allowed the database call to return no parsed template.
    
    The database impl was raising an exception if no parsed template
    exists.  The logic that was looking up the parsed template
    expects None to be returned if the template isn't stored.
    
    * I also fixed some pep8 errors.

commit 3d5b05c50dc40aab5aedea1a4af8573b5e8e6212
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu May 10 15:02:46 2012 -0400

    Adding a deepcopy of the template before stack create validation
    
    Calling stack.validate will modify the stack's template, which
    we don't want to do.  We just want to validate the template and move
    on with an already parsed template.

commit 74f9579f8988287bf1d96f81f0862236c5535286
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu May 10 14:04:16 2012 -0400

    Add stack delete test, and set stack to DELETE_COMPLETE when done.

commit 45bb10655a303991c81b5b570ffda9a9905c3a29
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu May 10 13:40:15 2012 -0400

    Removing stack validation on create

commit 0a642cd918b93f254328236b2c1afb5a522730dc
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed May 9 16:49:45 2012 -0400

    Adding stack create test

commit 899e952ed697d7b44b5d3b9438c95dd157f3a14a
Author: Steven Dake <sdake@redhat.com>
Date:   Wed May 9 13:35:22 2012 -0700

    Validate invalid mountpoint.device entries
    
    Since KVM only allows /dev/vd[a-z], we validate that implementation-specific
    sd[a-z] is rejected by heat validation.
    
    See:
    http://docs.openstack.org/trunk/openstack-compute/admin/content/managing-volumes.html
    Search device name
    
    Resolves issue #71
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 4d432413e13f4cba88e9ed8a4f9ddd15925bc501
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed May 9 18:23:22 2012 +0200

    Allow sending events using metadata server
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit 50d2ca8029619c1f13c990e76b579dc4a93cad40
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed May 9 17:02:28 2012 +0200

    Typo in a logging declaration
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit dd3d21ee9e8b3539584d8921c15284d66c46d7c7
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed May 9 09:45:15 2012 -0400

    Fix stack creation - CREATE_FAILED issue
    
    The stack creation call to validate the stack was resetting the
    stack template attribute.  I've made a copy of the stack purely
    for validation purposes.

commit 1b903f8b7078f7b9cac29919c91bb5bb5904d0d2
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Tue May 8 17:39:08 2012 -0400

    Add ability to automate testing with tox.
    
    Install tox via easy_install. Tox automates the creation of multiple
    virtual environments, each of which can be used with a different
    interpreter or specific custom tests (and is what StackForge uses).
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit ee2076b2aa33cf1f3248e8d1052f52bd723762ac
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Tue May 8 14:41:21 2012 -0400

    Add option to exclude pep8 examination to run_test.sh.
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit d8b3a3387bf35dca7742395d3b8095b2d6e35b04
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Tue May 8 11:31:25 2012 -0400

    Add test coverage option to run_tests.sh
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit 2733b9a5debb80066a2df1efe90f74f0dd0be6e7
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon May 7 23:04:35 2012 +1000

    Connect up the waitcondition code to poll the metadata for the signal.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 41ae2e7995172854b7a981ea86422637c8227ddd
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon May 7 22:04:04 2012 +1000

    Save to parsed template as that is used in the parser.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 23849cce1331b7c7fe3550000bcae08757db9ead
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon May 7 20:49:39 2012 +1000

    WaitCondition: fix the url to the new metadata server.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit f3c2d67cd5148e997e86f9b8f046f2d92a8854f4
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon May 7 20:47:28 2012 +1000

    Add WaitConditions to HA template
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 6d4a0dff6bac0b722e5a5ae769463b60e7451873
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon May 7 20:46:44 2012 +1000

    Download cfn tools from the master branch.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 154442a3a6cb5333a1d9f1a8111977100985f0e7
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon May 7 20:15:02 2012 +1000

    Escape the quotes going into cfn-signal shell command.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 62e7882e9e61df2017549e6edbe7b1b5a3238ca3
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon May 7 18:58:36 2012 +1000

    More peppy fixes...
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit f36197a872ca2de5676b44372cbb725674822b98
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon May 7 18:29:17 2012 +1000

    Add implementation to cfn-signal
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit c3b0fe9ff52a23e2253a295f86d61e580e75713e
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon May 7 18:27:35 2012 +1000

    Fix undefined LOG variable in db.session
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit ffeda71756840a13640a101016967bd7ab5b1166
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon May 7 18:25:48 2012 +1000

    Remove unused "cloudinit_path" setup in resources.py
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 7a28922d1e564182a901781f8055f4eb7bcb1405
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon May 7 18:25:03 2012 +1000

    Metadata: Add bind_host to the config
    
    This needs to be set to the nova interface to work.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit fa55a6984205ce9356b7c533309380e8c9e1a696
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Sat May 5 03:01:31 2012 +0200

    Register metadata server's entry point with Engine
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit da366b43b91c380cea2f7e20b63e0e536b9fadcc
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Sat May 5 03:00:16 2012 +0200

    Remove obsoleted metadata files
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit 9d69b204023eed196d4dd113d3378a0704d428dd
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Fri May 4 15:16:11 2012 +0200

    Connect metadata server to the engine via RPC
    
    Similarly to the way heat-api works, the engine does all the heavy lifting (db
    access, etc.) while the metadata server provides the API layer that communicates
    with the engine.
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit 247266e7bc65550b87f90ecfb2cb1c5a9e5efc0b
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Fri May 4 14:53:17 2012 -0400

    Moving key validation into instance validate

commit 8bfacf2e2322ec440e752fe90e2eb7cf615c8f79
Author: Ian Main <imain@redhat.com>
Date:   Fri May 4 11:23:09 2012 -0700

    Apparently boto expects / to be list stacks.
    
    This patch just makes / redirect to list_stacks.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit 9e2c35efa8df0ba3597b9f9e4e33b706eb86dbe9
Author: Steven Dake <sdake@redhat.com>
Date:   Fri May 4 10:09:41 2012 -0700

    ValidateTemplate API call framework
    
    This is a start on issue #111
    
    While no actual validation is done by this patch, this patch introduces
    the framework for validating in each of the resource types and returning
    an appropriate error when a validation error occurs.
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 6bae53753bff2bf1062a1fdea2ee5963e6ed6b65
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri May 4 11:21:55 2012 +1000

    Fix the sql in the rails template (didn't work with the mysql in f16)
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit d7c2c89a15d0a9cbdaa6dee920865b8cea21e327
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu May 3 17:45:18 2012 -0400

    uncommenting the metadata server attribute so the tests work

commit 3af0fb67db69204f941ff78a385b85972879898d
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu May 3 15:06:20 2012 -0400

    Validating the KeyName against nova on stack_create
    
    Fixes Issue #98

commit 47cf2132a27f85cccf779f070badc3cebbc37a3c
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Thu May 3 16:19:17 2012 +0200

    Connect cfn utils to the remote server
    
    The cfn_helper's `Metadata` class can now connect to the metadata server
    prodived it's URL is known and available.
    
    Engine will pass metadata server's URL via the User Data to the following file:
    
        /var/lib/cloud/data/cfn-metadata-server
    
    If the file doesn't exist or the server is unreachable, cfntools will read
    metadata from the `/var/lib/cloud/data/cfn-init-data` file as they did so far.
    
    Note that Engine dosen't currently know the metadata server's URL so it's not
    passing it to the instance yet.

commit 25568e75c335fb3deef534d17853c6496f9911c1
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Thu May 3 16:33:53 2012 +0200

    Fix cfn-get-metadata params and output
    
    Marked the `--stack` and `--resource` parameters as required and set it to
    actually write the metadata out.
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit 18eb501eb00779953ebbeebd97123648b49af02a
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu May 3 23:26:25 2012 +1000

    Fixed the interpretation of the file extension.
    
    My initial lack of understanding of "is" and "==".
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 235112febe5e4d413ff8ca62ce22e9444974c1e5
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu May 3 09:10:13 2012 -0400

    Only showing the Outputs when the status of a stack is CREATE_COMPLETE
    
    This fixes issues #96

commit 863f04af0e421ae88db35f9a452fff7d8196dc96
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu May 3 22:33:23 2012 +1000

    Fix unbound error in cfn_helper.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 9f7fd58a3024e9215594a7f5ee08b8e9bf3b7450
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu May 3 08:15:08 2012 -0400

    Adding mime_string to the Instance instance and fixing tests

commit c0b9519e49ad5dda2d92df2b22ff19a6afc365e2
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu May 3 22:01:09 2012 +1000

    Fix some indentation and pep errors
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 07148b41e7d8fb065c17eb7013927cae13d03bff
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu May 3 14:37:53 2012 +1000

    Hack the Rails template to work.
    
    - set the image name mapping
    - we don't have AWS::IAM::AccessKey yet
    - we don't have PublicDnsName yet
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit c273624c021a95b08467b9d4fca6f2067ca38235
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed May 2 15:48:34 2012 +1000

    Add Rails template example
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 59fb839acbf49d4820744012afcb5e56a0e0a837
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu May 3 14:34:57 2012 +1000

    Add dummy cfn-signal
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit cdcc931848f8dc09ce4ff85d9ea472220dff8769
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu May 3 14:34:39 2012 +1000

    Add WaitConditions
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 20fc3c76a2f2e577af5eefc2640eb97a586593b1
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu May 3 14:34:13 2012 +1000

    Split the resourses up into seperate files.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 9de4d852dcc484485df5a47a17092f186fed3d1e
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed May 2 15:44:38 2012 +1000

    Handle "sources" in cfn-init
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 9843bc8baae066643d556c1bc5600202338011a6
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed May 2 13:51:08 2012 +0200

    Initial metadata server API
    
    This implements the basic capabilities we need from the metadata server. Each
    API call returns proper HTTP responses (404, 409, etc.).
    
    The server is currently not connected to a real database. Rather, it uses a
    simple mock. This allows for quick initial API changes before things stabilize.
    
    The immediate next steps are to integrate the server with the cfn tools
    (cfn-metadata being the prime candidate) to see what may be wrong/missing.
    
    And then to connect the server to a real database.
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit c061dc0029517b7d8a346f8a8661f30620aed9ff
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed May 2 12:13:19 2012 +1000

    Add very basic support for installing (apt, python & gems)
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 67d5892ea96729b161e080914999236794949c53
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Tue May 1 14:48:16 2012 -0400

    Add cfn-get-metadata to files section of cfntools tdls
    
    Found while writing test for jeos creation
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit b4cd790a8402c6cf8706765ff3a1767995f8b7d4
Author: Steven Dake <sdake@redhat.com>
Date:   Tue May 1 10:02:48 2012 -0700

    Modified README in tools directory to explain a few more tools
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit dc3c5bdf3db776cbabfce5e2ee3634c2f689f8f6
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Tue May 1 11:04:34 2012 -0400

    Scoping the session per thread (request).
    
    Fixes issue #94
    http://docs.sqlalchemy.org/en/rel_0_7/orm/session.html#sqlalchemy.orm.scoped_session

commit f7c1b3311d0fb5e9c0643830d81cd9f228402d64
Author: Ian Main <imain@redhat.com>
Date:   Mon Apr 30 15:03:39 2012 -0700

    Oops, meant for website repo.

commit 53a41bcfeb5dc7dd88604a89621bfe7284a1539f
Author: Ian Main <imain@redhat.com>
Date:   Mon Apr 30 14:57:38 2012 -0700

    Heat Logo
    
    SVG format of heat logo.

commit 028f33397082ca3169ad5a0a975853df8a1e27e4
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Mon Apr 30 13:04:51 2012 -0400

    Skipping the import if its deps aren't installed, use --no-skip if you want to run this

commit 1d706dd93efd8ed4c960a63b8e235b5537a92865
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Mon Apr 30 10:39:51 2012 -0400

    Copied the python-novaclient test code to avoid importing via python path

commit f10f5cf15b55c87f948196ad07a75e5b24142ab5
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Mon Apr 30 10:13:15 2012 -0400

    Adding the metadata.log file

commit 908f572b34805c77b40c3890f2caa370561f8867
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Fri Apr 27 16:44:11 2012 -0400

    Finish necessary changes related to jeos_create move
    
    As a result of moving jeos_create, the code is now used during test
    execution. The library libxml2 which was previously being used is not
    available in pip, so lxml has been swapped instead.
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit 4fa77a658c12b8caef72059ec645d04d80a8b639
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Fri Apr 27 18:40:49 2012 +0200

    Add skeleton structure for the metadata server

commit 669f312c9a80a5ce322b838ebe2b1656b292b888
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Fri Apr 27 15:25:50 2012 +0200

    Update heat-api docstring

commit 524d214b84f2fe5c5e1df25989eed5860e59de0e
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Apr 27 13:12:33 2012 +1000

    more pep fixups.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit f7c677354261a78cacc1affab27ddb48a209ba6c
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Apr 27 13:02:58 2012 +1000

    Add cfn-get-metadata make all cfn tools more consistent
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 1f141a6d041e9bbd6b7710c09c35cdd45f6fdab9
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Apr 27 10:21:43 2012 +1000

    openstack-common: timeutils and importutils seperated out
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit a9a6906a6ec0427112ee6137ff210cec9050d958
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Apr 27 08:28:55 2012 +1000

    openstack-common: update cfg.py
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit d4f0c0d25b4d0d55b3dbe393fcc2fd8429d834c2
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Thu Apr 26 16:51:00 2012 -0400

    Move jeos_create into utils so it can be imported
    
    The main reason for this move is so that jeos_create can be tested with
    the aide of Mox.
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit 2ba3934ce06b7c2d1c58d3347906c562063a9565
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Apr 26 11:02:15 2012 -0700

    Put Starting Heat API in log file and add logging setup to bin/heat-api
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 2a06886077c05e1bfae7c28a09cf3489da6e450a
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Apr 26 10:55:23 2012 -0700

    Remove stray print debug message
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 87eca83a047a103529d2563a046e773705805f89
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Apr 26 10:49:10 2012 -0700

    Quiet down the QPID logging since it isn't helpful and makes logs hard to read
    
    Should likely be removed later, but for the moment, logs readable without
    grep now.
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit a1908e501440b2505560fcb07b37a1ea26c92f16
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Apr 26 10:29:26 2012 -0700

    Kill prints and replace with LOG in heat/rpc/__init__.py
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 10ef7521f5f9186d807699f7409fc4c2ceb0e8b5
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Thu Apr 26 17:29:42 2012 +0200

    Stub out system calls in metadata_files test
    
    Since CommandRunner now honours `runas`, the tests would have to be run as root
    for the commands to succeed.

commit 6b0d2d7827dedf553ac7d25cb75ebcacc7379532
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Thu Apr 26 17:27:25 2012 +0200

    Implement runas for cfn-hup
    
    As a side effect, this fixes #109. By running everything through `su -c`, all
    the piping and redirection issues are outsourced there.

commit 3802dfbba6f27df3c172bdb6ace261a7be998c49
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Apr 27 00:32:15 2012 +1000

    Add test artifacts to gitignore
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit f489c956c67240cfa3f3d5b8a4b54c9e7d4531e7
Merge: 1029566 fe8a57c
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Apr 27 00:22:24 2012 +1000

    Merge branch 'ha'
    
    Conflicts:
    	heat/db/sqlalchemy/session.py
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit fe8a57c9cfd0e29aae5bd1f913370434953a5d69
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Apr 27 00:05:59 2012 +1000

    Handle cfn-hup non-value parameters
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 10295665615ae525caa06c42a3edf3b81db817b8
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu Apr 26 09:33:01 2012 -0400

    Moving db error wrapping into heat session to avoid a nova import

commit afb73a6e764819c953e17c0f181b8dd7f4ad8e1b
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 26 23:16:59 2012 +1000

    Add an easier way to update the cfn scripts
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 1eb030408051afe71e306f501bcd94bd9dd8509f
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 26 23:16:25 2012 +1000

    Fix up the template - some scripts not right.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 51242e0802faad4c5c55765b68cfdd73c93bdf3b
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 26 23:15:39 2012 +1000

    Fix the cfn logging
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit ee56b0978e3fa4a3aea51f4257b769b9e48f139a
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 26 22:51:38 2012 +1000

    Fix userdata mime creation
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit e5553b53d5ef72a135bc12f23a00561c76d9e119
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 26 22:51:38 2012 +1000

    Fix userdata mime creation
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 7151e579849263a73869c94d3ccd7f79a631d717
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 26 21:46:02 2012 +1000

    Add a real creds file for the cfn-hup config tests
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit be49adb7fc2c0f0e25c98e6b842a5a0fad90542b
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 26 21:45:01 2012 +1000

    Re-add the file logging to cfn tools.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 9f9716f3d944aa7782727179c6001ff2b4b0b435
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 26 17:01:38 2012 +1000

    Make sure AWS::StackName is avaliable
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit e5208d1d717e59a451ca3e4ac095990d466ae3c3
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 26 17:01:13 2012 +1000

    Add cfn-hup config into template
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit f03e90140461bef74468ff6ee5326b6ca9fea2d5
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 26 14:13:56 2012 +1000

    Copy the single inst. wordpress template to With_HA
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 5d1a35fbf5c1a19b0aa65065a29eba3cd0f209b7
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Tue Apr 24 17:08:36 2012 -0400

    removing import of common config because it needs credentials

commit 0fbe418d12d94c660c880a357ad3ce5a9b5211cd
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Tue Apr 24 16:53:31 2012 -0400

    Adding the nova.exeption import to fix the tree

commit 6d2f82aca047dd850c699fbd2178c910be39e041
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 26 14:07:12 2012 +1000

    Add file support to cfn-init
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit cdd4d98862b14eded343413390cf05aa549b245f
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed Apr 25 10:46:27 2012 -0400

    Adding instance  delete test

commit c227c4581a0b77b19db5ed5b13006d2656283433
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed Apr 25 16:34:59 2012 +0200

    Log when cfn-hup couldn't restart a service
    
    `service.restarted` hooks are not run when the restart failed.
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit febbc668bbe2b415c874696be98612625ef6237a
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed Apr 25 09:42:28 2012 -0400

    putting python-novaclient back in pip requires

commit 0a9d87e28ddebe77ee3be4399533214b80c377b0
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed Apr 25 09:39:39 2012 -0400

    Removing nova from pip requires

commit 724b5f3902c2117040d21b830f7b276bb5dc4e1e
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Apr 24 15:29:08 2012 -0700

    Make heat-db-setup generic enough to run on RPM or DEB distributions
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 83e6754c823bdba656c8073e24d4a696b1d7b592
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Tue Apr 24 17:32:17 2012 -0400

    Adding the nova module to the pip-requires

commit 3299dbecb989b249b47e08b3bce5e19e3553ab92
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Tue Apr 24 17:08:36 2012 -0400

    removing import of common config because it needs credentials

commit 30482f729079b109caf7bc1c3c7e2a5853df4cf8
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Tue Apr 24 16:53:31 2012 -0400

    Adding the nova.exeption import to fix the tree

commit 710e2bb5f8774b4b3f8130ae484c6d4f3856cab7
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Tue Apr 24 14:48:38 2012 -0400

    Use pip package name, not the RPM one
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit 53446bb36edde490896aff3725b30a14d62c50fa
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Tue Apr 24 14:17:40 2012 -0400

    Update virtual-env requires and documentation
    
    Document the necessitity to keep tools/*-requires up to date and add
    missing dependency.
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit 9b23e2dc355e9a6e4d7a1cd1dbd2bc89ff9c8ba1
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Tue Apr 24 16:41:35 2012 +0200

    Make cfn-hup configuration handling closer to aws
    
    We now enforce the presence of the [main] configuration section, check that the
    credentials file exists and ensure that there is at least one hook defined.

commit 77935cb3d482ace4cd60183fca5131035a29a7ad
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Tue Apr 24 14:56:15 2012 +0200

    Better error messages for cfn-hup configuration

commit 39a8bfc296c465694e851c7ca227d50754324617
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Apr 24 13:57:51 2012 +1000

    more work on cfn-hup
    
    - correct the default config files
    - seperate out the monitoring of services
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 6bf132f9098a24102e73851f4c7e08acea3493fa
Merge: 833fedb ed92ae3
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Apr 24 10:34:38 2012 +1000

    Merge remote-tracking branch 'origin/master' into ha

commit 833fedbfb3baa5da2faaf8a518d00e593f4ede55
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Apr 24 10:32:58 2012 +1000

    Add test case for boolean.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit ed92ae34715eead8c5a128f27d13af3599b16a29
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Mon Apr 23 16:37:09 2012 -0400

    Assert the instance auto increment on the id worked

commit 6c0bcf0727094b9f988ec5ddc0d695c22862d402
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Mon Apr 23 14:47:44 2012 -0400

    Removing the run_tests.py, was replaced by heat/testing/runner.py

commit 841452f350447683a851151088ee5615d64c97b8
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Mon Apr 23 14:46:49 2012 -0400

    Changing version scheme to just major

commit bf859e6f4b69d35dbf496522d1e75e4cc3771507
Merge: c5ff641 29c0f9a
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Mon Apr 23 09:26:57 2012 -0400

    Merge branch 'resource_unit_tests'

commit 29c0f9a74f74c75478b81994d5a9f77ecf52f75e
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu Apr 19 19:24:28 2012 -0400

    Adding instance creation test
    
    Signed-off-by: Chris Alfonso <calfonso@redhat.com>

commit 9a0ee86fc62372b3c4a99b705981fe653bdaa088
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Mon Apr 23 15:10:33 2012 +0200

    Fix `to_boolean` in cfn_helper
    
    The lowercase conversion and striping whitespace from strings was being ignored.
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit c5ff64132a2c036740c9d45c5be00dc35e690a58
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Apr 23 22:59:27 2012 +1000

    Try and keep track of the stack status.
    
    Ref: #93
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 7b039d4a7523e3468c3bad7eeea6f30ddf428cca
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu Apr 19 18:10:20 2012 -0400

    Added db setup and teardown with sqlite

commit bad1eb37a5b3659e888a5840ed931aa11fc0e37b
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed Apr 18 09:03:17 2012 -0400

    Adding unit test for instance creation

commit 7f44cf82bf8255a336104ac40191e51a0aa7ec52
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Tue Apr 17 15:55:36 2012 -0400

    Adding resource initialization test

commit 2af14f5abf1e57b3b9a27362f63ad7bb85b25be1
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu Apr 19 19:24:28 2012 -0400

    Adding instance creation test

commit bdaed9b99735b5e221d423f5e53a5113b1512b99
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu Apr 19 18:10:20 2012 -0400

    Added db setup and teardown with sqlite

commit 9c69836bfd49e2b8c7b84d0de9c44aa5c852373e
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed Apr 18 09:03:17 2012 -0400

    Adding unit test for instance creation

commit 517d00fb8a749b6d912e1dab29fea9c28b1136da
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Tue Apr 17 15:55:36 2012 -0400

    Adding resource initialization test

commit 12797d82299b9e5698a25b6b7284642bed72ab79
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Apr 23 19:54:11 2012 +1000

    Initial cfn-hup (wip)
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 2019dec757321ae3dae3e32ac63f352df5a534a4
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Apr 23 13:08:32 2012 +1000

    Move common cfn code into cfn_helper.py
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit e67e9c80bf8369314378268cb0b988be0c45c115
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Apr 23 12:04:46 2012 +1000

    Fix more pep8 errors.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 3323d045d2af05c0bf9ecdf59980f70cb24fd6ae
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Apr 22 18:39:11 2012 -0700

    Update version to v3
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 87dac3d2c05d6f232c789878a58e85abdec39160
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Apr 20 14:48:59 2012 -0700

    Wordpress 2 instance with EBS and EIP
    
    srs.
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit dfeb65185bc1349a4b19466eb7056f28cea4f15e
Author: Steven Hardy <shardy@redhat.com>
Date:   Fri Apr 20 20:54:04 2012 +0100

    heat cli : Add bash_completion.d entry for heat
    
    issue #87 Adds basic bash smart-complete script for heat to bash_completion.d
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit 831078ad28cc55904a7f018840c7c2b3ea7db1c8
Author: Steven Hardy <shardy@redhat.com>
Date:   Fri Apr 20 20:42:29 2012 +0100

    heat cli: Use python logging module
    
    Issue #88 : Adds support for logging via the python logging module
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit a9e9fa9782c10f71f33be3ad08775ee955dfbe00
Author: Ian Main <imain@redhat.com>
Date:   Fri Apr 20 11:49:13 2012 -0700

    Fix another print -> logger.warn.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit df69c7d2a5a9fb4c8f773ba3fcc6da5eff7e5e71
Author: Ian Main <imain@redhat.com>
Date:   Fri Apr 20 11:45:07 2012 -0700

    resources.py had a bunch of print's in it.
    
    This patch removes all the print statements and puts in proper logging
    statements.  Some of these (db tracebacks) are now logged as warnings.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit 2f880bc61c4ccb7751003cede3d16f7e6fb6ee7a
Author: Ian Main <imain@redhat.com>
Date:   Fri Apr 20 11:38:59 2012 -0700

    Add an exception around EIP fetching.
    
    I was getting a traceback here causing the whole 'heat describe' to
    return an error when really it was just the one aspect failing.  Use
    try/rescue and log a warning.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit df5dee4e0b78254c5b0c589bcbd4d9625f7aee2b
Author: Ian Main <imain@redhat.com>
Date:   Fri Apr 20 11:07:36 2012 -0700

    Fix a typo in the command line help.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit fe5ebdbde1a81e4920c9f906fcfbe7fbb068b7c2
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Apr 20 10:43:18 2012 -0700

    Use v1 / v2 / v3 for version numbers to match tags
    
    In the next several months since we wont be supporting maintenance releases,
    Just use v1/v2/v3/v4 for releases to match our tags.
    
    We can switch to an x.y.z or openstack style versioning when appropriate
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit f04ba8797624f9d43999572d74dab320118bd627
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Apr 20 10:36:18 2012 -0700

    Set proper author and mailing list in setup.py
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit b5eec2832d4d94efe1fb21deeaedbe6ae7310cf4
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Apr 20 10:31:39 2012 -0700

    Remove BUILDING.rst since there is no building taking place inside project
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 262e6066322a79eaba825e63a8cb59033d2d03fd
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Apr 20 10:29:51 2012 -0700

    Remove rpm spec file and Makefile.  Will track packaging in a different repo
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 1816791ad4f54f6deefac9a70737bd06b2f425be
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Apr 20 10:28:55 2012 -0700

    Remove tito - likely track this in a different repo
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit b1802fe7ab0458ca381fbc5214cbf27918bafd9c
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Thu Apr 19 18:23:56 2012 +0200

    Fix the EIP cleanup
    
    Fixes #69
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit 753b34deb9d7e3514a11ee138b9f6d165a961044
Author: Ian Main <imain@redhat.com>
Date:   Wed Apr 18 13:25:44 2012 -0700

    Add documentation for the per command CLI help options.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit 39f822f04ff67dd05be0dec595fa7cfa30f4e622
Author: Steven Hardy <shardy@redhat.com>
Date:   Wed Apr 18 20:47:03 2012 +0100

    heat, heat-api: Add missing licence to header
    
    Adds missing licence header to heat and heat-api
    
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit 2a766dfcc132b0a066a88bf16cf463437599038c
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Wed Apr 18 15:17:51 2012 -0400

    Remove rootpw from tdls and add ec2-user to sudoers file
    
    Fixes #72
    Fixes #73
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit 7921648911a91d1f40be3b353bb57887fed3b783
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed Apr 18 12:29:52 2012 -0400

    Deleting parsed and raw template when deleting stacks

commit fc77b204f84f54b381ec08f9f1bc315fbdf61c5b
Author: Ian Main <imain@redhat.com>
Date:   Wed Apr 18 08:53:54 2012 -0700

    A little more detail on network create.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit 6e9acd83abc0416978f4e4d4dcc81dfe148de679
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed Apr 18 11:29:48 2012 +0200

    Fix the test environment
    
    Made sure that `run_tests.sh` works properly (it was failing on the heat/bin
    directory) and that all tests pass and the generated logs are .gitignored.
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit eac075e5e1feb18610e9f049430a900c6f3d6120
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Apr 18 16:16:32 2012 +1000

    Fix another template attribute in the output section
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 3e7499aea7d710602ddaef498f201dbeb6c1c834
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Apr 18 16:15:47 2012 +1000

    Use the correct api to get the volume object.
    
    It must be volume not nova. But nova is used for the attachment.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 770224c0502138d5d15b031676a354c4cee22a42
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Apr 18 16:14:24 2012 +1000

    Save the resource if complete or failed
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 777d2f3a567c0e32eb3fcea6936ccf6787faa09f
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Apr 18 15:47:21 2012 +1000

    Fix the delete of a volume attach when the create partially succeeded
    
    Fixes #70
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 24ad425a7af57017e3167cebaaa0fe19173a3d14
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Apr 18 15:08:47 2012 +1000

    To properly populate the output section.
    
    We need to get ipaddresses which are lost as they are
    not stored in the template so we need to retrieve them
    at runtime.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 89e86fa918302c297fca7057144ae7798dd05088
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Apr 18 14:45:22 2012 +1000

    Use the instance_id for the event "physical_resource_id"
    
    Just to provide a bit more info.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 9e79551d7724d3dd89c2c09a9aaefacacd69c7d9
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Apr 18 14:44:08 2012 +1000

    Fix the output attribute in single instance wp template
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 35bd5f4c5f21e375f828377b7ea37ec1b93c6d96
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Apr 18 14:43:18 2012 +1000

    Save the parsed_template so user parameters are available.
    
    This caused parsing errors when deleting, as required
    references were not available.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit e5a0f9196f0f4f55887b5a96e595d710e78d0ba1
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Apr 18 14:02:25 2012 +1000

    Fix the parsed_template columns (missing created_at and updated_at)
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 8a317678cf7a4e846141b54e881fb19ecb7b4220
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Apr 18 12:25:16 2012 +1000

    Fix the version file (don't import glance's git commit)
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 358920e1369246d12a92ce60770844145581aab1
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Apr 17 10:12:04 2012 -0700

    Add WordPress_Single_Instance_With_EBS_EIP.template
    
    This template uses EBS, EIP, security groups in a single instance.
    Unfortunately because of issue #83 the template doesn't fully start.
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 991b3fd18d5a0fc4056b94db801b5a3b3178a395
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Apr 17 09:36:31 2012 -0700

    Rename EBS_Volume to just EBS to pave way for EBS_EIP
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 83e002fd3bbc4e7a62d9940d4eff3c3c26cd1218
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Apr 17 09:30:21 2012 -0700

    Make WordPress_Single_Instance_With_EIP.template work
    
    Note I receive an exception in engine.log:
    ClientException: Associate floating ip failed (HTTP 500)
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit bf68a800e59ee3dc37ea2509048b8ddb6f3af4de
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Apr 17 09:06:16 2012 -0700

    Initialize sec to None to avoid exception in security group
    
    When an existing security group is not found in nova, heat will trigger
    an exception and the stack won't be created.
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 7afbd05da3fd24b9c825531d1a1c562e31189c53
Author: Zane Bitter <zbitter@redhat.com>
Date:   Tue Apr 17 18:04:04 2012 +0200

    Fix invalid JSON in template
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 4993b5dfa0d3b09e3f1ed2b6dc4327054effd1c8
Author: Zane Bitter <zbitter@redhat.com>
Date:   Tue Apr 17 17:38:48 2012 +0200

    Store all event data in DB
    
    Fixes #64
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit c2ab4a39d136949db5d2e6c6c2b90930929fe087
Author: Zane Bitter <zbitter@redhat.com>
Date:   Tue Apr 17 17:38:48 2012 +0200

    Remove hard-coded paths from DB setup script
    
    Since versions of heat can and will change, we do not want want them
    hard-coded in the DB setup script. Instead, use the Python import logic to
    determine the location of the module.
    
    This will use the local copy of heat (which is usually what you want) if
    run from the top level of the repository. Otherwise it will use the
    installed version, as determined by Python.
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit d4fda0273580fc8575298614bc90569a73c1d5b3
Author: Zane Bitter <zbitter@redhat.com>
Date:   Tue Apr 17 17:38:48 2012 +0200

    Avoid printing exception in db-setup
    
    If the db-setup is run multiple times without dropping the database, the
    attempt to set up version control again causes an exception. Since this is
    an expected condition, just print a message and exit normally.
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit f94547743e8b28203e34dd7c3534473ebb1babde
Author: root <root@zbitter.fedora>
Date:   Tue Apr 17 17:38:48 2012 +0200

    Handle exception on Ctrl-C
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 27832d617e34a1d6a290437a76e397526e039291
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Apr 17 07:12:21 2012 -0700

    Updated WordPress_Single_Instance.template to work properly.
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 08ad2beab0d0cb30283f8e210a42a707210a1e3a
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Apr 16 20:45:26 2012 -0700

    Update templates README with list of secure vs insecure templates
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 9e2f208bffebb4434c74ca558e394aa93226feaf
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Apr 16 20:43:28 2012 -0700

    Make WordPress_Single_Instance_With_EBS_Volume.template functional
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 8c7e46f4e6c4f5fbf2a7550f52690a7817750ea4
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Apr 17 12:09:30 2012 +1000

    remove old experimental code
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 0c93a40b604536507f308d901fb6c4e752c0ced8
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Apr 17 11:58:57 2012 +1000

    kill all pep8 errors in parser and resources
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit dbfe16ff00be38a76505e492463b2fde154a0e58
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Apr 16 16:46:27 2012 -0700

    Updated templates/README directory to more clearly explain templates
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 2da09c064a4c5c7d037d5f640488a9f6f468d39a
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Apr 16 16:36:57 2012 -0700

    Rename WordPress_Single_Instance_cfntools.template to not have cfntools in name
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit eca8d5aa8bb24f99a64b824925344756b5b02e67
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Apr 16 16:36:22 2012 -0700

    Rename WordPress_Single_Instance.template to have gold in name
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit b5bf88aab524ed0ba199af6d1db9f45d9424258b
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Apr 16 16:34:53 2012 -0700

    Adjust cfn-init -f flag to be implicit
    
    Fixes issue #75 for WordPress_Single_Instance_cfntools.template
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 162826f9d713a8116fbfe832a3e3bc7380cdb4c7
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Apr 16 16:33:45 2012 -0700

    Adjust cfn-init to not use -f option
    
    Fixes issue #75 for WordPress_2_Instances_With_EBS_Volume.template
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 71f884272a39b0b6d301ee7f265db753b36ed2d7
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Apr 16 16:32:09 2012 -0700

    Adjust cfn-init to not take a parameter in the initialization
    
    WordPress_2_Instances.template
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 95d583fd79a5e6e65d8effcc0589f7361a0447c1
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Apr 16 16:29:35 2012 -0700

    Fix bug in path on cfn-init
    
    Fixes issue #75
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 64c654f71c12b6c230ce4286441f3b98b9625159
Author: Greg Blomquist <gblomqui@redhat.com>
Date:   Mon Apr 16 17:27:43 2012 -0400

    Fix for issue #75: no more -f in cfn-init
    
    Removed -f in cfn-init.  Instead, cfn-init reads resource metadata from
    /var/lib/cloud/data-cfn-init-data.
    
    Also, added logging.  cfn-init now logs to stdout and to /var/log/cfn-init.log

commit 20e10f2bf788cb1a73488755c3d6d6718e11f871
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Apr 16 14:12:19 2012 -0700

    gold plating the WordPress_2_Instances template
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 6046cb1bdd81a68fffd1596b111f458a27548c86
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Apr 16 13:51:50 2012 -0700

    Wordpress 2 with EBS working
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 6b48e317b2dbac3794f801020c3199eae13034e6
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Mon Apr 16 13:46:58 2012 -0400

    Resolving rpmlint errors and adding man pages.
    
    Fixes #67

commit 8423294a43b5b8db001acf157e179cc5e174bb21
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Mon Apr 16 16:35:08 2012 +0200

    Register security group with launched instances
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit b26a067626d5809381207a6ecafa0a3793e254fd
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Mon Apr 16 15:10:31 2012 +0200

    Fix creation of security group and rules
    
    When the group or rule already exists, The Nova API and client errored out.
    
    Signed-off-by: Tomas Sedovic <tomas@sedovic.cz>

commit dfe12cbaba575620efac009597461a80110db9c9
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Apr 16 17:07:07 2012 +1000

    Fix a heap of pep8 errors
    
    ./run_tests.sh is much cleaner now.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit b7b29add1128861056e26b368e3e181ccd8fdbd3
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Apr 16 15:37:26 2012 +1000

    Make an attempt at passing exception messages from engine to cli.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 65b1ed9e89c8bb493867090812c35ce0f5b78e8d
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Apr 16 13:36:07 2012 +1000

    Fix 'heat describe'
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit fe9b29dd3e1a150677fdb72f5b12db94c1b63609
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Apr 15 20:51:46 2012 -0700

    Add a traceback on exception caught
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit f7d0e0572c63954727866733bcd08bec24c5579d
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Apr 15 19:13:12 2012 -0700

    Add a README to the templates directory to aid in navigation of the templates
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit aa02d3270e7611094f2a2f38601dc5d312585425
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Apr 15 18:53:39 2012 -0700

    Add a tools/heat-db-drop script for fatal error recovery
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 67c6131536ca102eec6ad69a73fca874fd8cc2ad
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Apr 15 17:44:10 2012 -0700

    Make Wordpress_2_Instances.template work properly
    
    note the mysql instance is not secure because both IPs must be known
    ahead of time.  To resolve this problem, we will be using elastic IPs.
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 2f858e656c5527877793d0c76c9e9420c2edc080
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Apr 16 10:00:39 2012 +1000

    Check errors better in resolve_attributes()
    
    Add a little more debug.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 814dee93f14a85908d3fab3263f94485540cd8fa
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Apr 15 11:12:42 2012 -0700

    Add yum-plugin-fastestmirror on F17-x86_64 cfntools image
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 4592c434099a62ac55f1a4da8a523e6d20bc5ea9
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Apr 15 11:10:50 2012 -0700

    Add yum-plugin-fastestmirror to the cfntools images
    
    Should speed up the downloading of packages on launch
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit ede22be715255eb2f15e2808c94bbec8367e0dbd
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Apr 15 10:28:52 2012 -0700

    Update WordPress_2_Instances.template to use cfntools and cfn-init
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 365b525dc4ae09b848a38cf94d4ef9cb87513efe
Author: Steven Dake <sdake@redhat.com>
Date:   Sat Apr 14 09:36:33 2012 -0700

    resources: remove insert_package_and_services
    
    Now that we have cfn-init, this hackery is no longer needed
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 730ae9470eea526895ec7349978d945db3b1309d
Author: Steven Dake <sdake@redhat.com>
Date:   Sat Apr 14 08:10:38 2012 -0700

    Properly launches a cfntools image with the appropriate userdata mime blob
    
    Note that cfn-init should be run as follows in the userdata script
    
    /opt/aws/bin/cfn-init -f /var/lib/cloud/data/cfn-init-data
    
    This will install the appropriate RPMS and enable them
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit be21044ef82c3962034ade2af93194ddb03445ee
Author: Steven Dake <sdake@redhat.com>
Date:   Sat Apr 14 07:57:06 2012 -0700

    Correct path to cfninit data
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 05f4df48930f8b723bfa41f4d59e2b8b0089acb4
Author: Steven Dake <sdake@redhat.com>
Date:   Sat Apr 14 07:34:08 2012 -0700

    Yet more typos in cfntools template
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 2d9253b07601c7cad3e21da5ead832171d52b637
Author: Steven Dake <sdake@redhat.com>
Date:   Sat Apr 14 07:27:15 2012 -0700

    Fix typo in template
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit c43659dd7ae6800ac25f477f9896aaa2ab69ca9a
Author: Steven Dake <sdake@redhat.com>
Date:   Sat Apr 14 07:23:20 2012 -0700

    Add a cfn-init call to cfntools
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 60db42c27cd9ac2aa44153560fd276c7dfad2199
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Sat Apr 14 08:15:22 2012 -0400

    Automatic commit of package [heat] release [0.0.1-1].

commit 6b098b82cebedd9946f015ebdc050110064f2d81
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Sat Apr 14 08:12:14 2012 -0400

    Adding instructions on building the project with tito

commit 8f201423b2378657555de67cdc27c15eb1d58821
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Sat Apr 14 07:58:27 2012 -0400

    Removing the PKG-INFO and vcsversion.py from the rpm

commit 65e62a6a7fdb888c4b900746b3f1195ded299764
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Fri Apr 13 16:05:40 2012 -0400

    Initialized to use tito.

commit 2f8e95baecfb312bb93c93ddd020ee13f0e94120
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Fri Apr 13 17:10:30 2012 -0400

    Add unit test framework nose and associated helper scripts
    
    For usage documentation, refer to heat/tests/testing-overview.txt.
    run_tests.sh is what runs the tests.
    
    Fixes #44
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit b070322351d4c03401ce80d31388dbf89351b181
Author: Ian Main <imain@redhat.com>
Date:   Fri Apr 13 13:29:57 2012 -0700

    Document all methods in the EngineManager class. These ones seem important.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit d3dfb7f15a69904417b516bb84edc4c6e12c392f
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Fri Apr 13 15:59:12 2012 -0400

    Updating the heat spec to pull in cloudinit files and i386 jeos templates

commit f0862d8b882beba4a698ddc554f1f263bba0039d
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Fri Apr 13 15:01:41 2012 -0400

    renaming CloudFormations to CloudFormation

commit 4b04ffd16a909332f11aeb552c25893e856068cb
Author: Zane Bitter <zbitter@redhat.com>
Date:   Fri Apr 13 17:58:23 2012 +0200

    Handle errors when listing events
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 0525333416283fa02c86fc17693c23d53c984f1e
Author: Zane Bitter <zbitter@redhat.com>
Date:   Fri Apr 13 17:58:23 2012 +0200

    Show stack description when status is unknown
    
    Apply the same improvement that d41193cbff97caf68a5eaa5b105593af17e3339d
    made for list_stacks to show_stack.
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 5c69b6087aa647260dcb87a2ed3936f9eb7b6a47
Author: Zane Bitter <zbitter@redhat.com>
Date:   Fri Apr 13 17:58:23 2012 +0200

    Allow listing of all events
    
    Make filtering by StackName optional.
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 3cbb97ad00413910bb3d06ef5ad3af8a3b7c1164
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Fri Apr 13 15:56:29 2012 +0200

    Use security groups in the multi-instance wp template

commit d41193cbff97caf68a5eaa5b105593af17e3339d
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Fri Apr 13 14:43:07 2012 +0200

    Fix listing stacks
    
    `heat list` was failing for non-empty stacks because the `Stack` model had no
    `template` attribute.
    
    Also fixed an issue where we didn't show the template description when the
    stack status was unknown.

commit 957a45c32eeaf5a9136215df06da2658d815534e
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Apr 13 20:15:23 2012 +1000

    Fix the stack.delete() by populating the resource id/state from the db.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 4d1b1394cfc319efc52f896d78c92314ea4b3406
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Apr 13 20:13:09 2012 +1000

    move the db stack delete into parser.py as it is non-blocking.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 90a67a73636e12c46da2ce9947ae415f0c488a38
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Apr 13 17:23:29 2012 +1000

    Cleanup db imports (use heat code, don't import nova modules)
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 4b6482c6a3c8530ff2a98de87742ce438fee1c76
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Apr 13 16:25:07 2012 +1000

    Consistently create the db resource entry.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 0ee8db445941f24e07a3a93b91adc87c192b1c1f
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Apr 13 15:26:09 2012 +1000

    Add SecurityGroups to make is easier to use EIP
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 4d7e2721ea74c69ef02ff16e86dc6a3ee1265eb9
Author: Zane Bitter <zbitter@redhat.com>
Date:   Fri Apr 13 12:10:10 2012 +0200

    Eliminate overly-broad exception catching
    
    We probably don't want to catch e.g. KeyboardInterrupt in these cases.
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 16986b4062802eb5f01641677326b51ead575215
Author: Zane Bitter <zbitter@redhat.com>
Date:   Fri Apr 13 12:10:10 2012 +0200

    Improvements to DB setup
    
    Don't fail if the database or user already exists.
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit a03a307d33ef5fedab6ec08532a1ed4b82c25b5a
Author: Zane Bitter <zbitter@redhat.com>
Date:   Fri Apr 13 12:10:10 2012 +0200

    Issue #52: Fix error in db-setup script
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 31ae00df42c492b7fac79f67445bb40c022a3d6c
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Apr 12 21:16:42 2012 -0700

    Start systemd services properly with cfn-init tool
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 2a9a87dc3e22bf1d045add1351cb1bad332a1b5e
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Apr 13 12:37:13 2012 +1000

    Fix the jeos path when running from installed code.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit c453a33f35335eae74161f3bf4a6b536496b4894
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Apr 13 10:16:29 2012 +1000

    Delete extra white space
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 5bb18073cbf069b5812c64b1f5c7d4e93ef49ddf
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Apr 13 10:13:42 2012 +1000

    Fix 'heat list' when there are no stacks
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit ec794e6d4a3777a89a0136bd397abfffb3dfd485
Merge: 2f5ec87 aba5fc8
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Thu Apr 12 18:32:48 2012 -0400

    Merge branch 'master' of github.com:heat-api/heat

commit 2f5ec8738dc557db6c51416b3cfb1a45b9eeedb4
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Thu Apr 12 17:42:52 2012 -0400

    Make jeos_create aware of existing disk files and previous glance registrations
    
    The user is interactively prompted for decisions to be made when:
    -An existing jeos disk image is found: build a fresh JEOS?
    -If fresh JEOS is chosen, continue as normal removing the files and
     existing registration if it exists.
    -If no fresh JEOS is chosen: register existing JEOS with glance?
    -If no registration is chosen, no action is taken.
    -If registration is chosen, continues as normal without rerunning oz in the
     case of the image not being previously registered with glance.
    -If the image is previously registered: delete existing JEOS in glance?
    -If the user chooses to not delete existing registration, no action is taken.
    -If registration deletion is chosen, the registration is deleted, rerunning
     oz is skipped, and the registration will occur.
    
    Fixes #50
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit aba5fc8a444f130e61f1642440f69b87a26c7c60
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Apr 12 14:16:41 2012 -0700

    Update F17 cfntools image to properly boot for cloudinit
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit f9c645a09f90a2d44a1e6ba48b0f342d129bdf81
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Apr 12 14:05:59 2012 -0700

    Add ec2-user to F17 x86_64 tdl
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 85a9df46d2b56497b7d75f5451400cfc2f76245c
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Apr 12 14:05:13 2012 -0700

    add ec2-user to F16 cfntools image
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 7abe849db7d7b6e1ea6ff337df63cc20c7cfadef
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Apr 12 14:01:45 2012 -0700

    Update i386 F16 cfntools image to match latest cloudinit features
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 98649be02d0448b9143149946192486231ba489f
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Apr 12 14:00:24 2012 -0700

    updated F17 x86_64 cfntools tdl to new cloudinit model
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 797ea880d982e0f25b5c18f3689da0a994658c05
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Apr 12 13:33:27 2012 -0700

    Install cloudinit specific files that are loaded into the mime userdata
    
    Partially fixes Issue #48
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit af451c207424f1ee2ccbce2eafbdeaa953ad50f9
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Apr 12 13:17:46 2012 -0700

    Updated x86_64 cfntools tdl to work with broken F16 repos and cloud-init
    
    Partially fixes Issue #48
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 1a3186dc6f8a83e92112ac53a2672c31286bfaac
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu Apr 12 14:00:53 2012 -0400

    fixing small sed typo

commit b633c768c4af7adb88c63d0f4f21d6564e2f1ec8
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Thu Apr 12 18:18:35 2012 +0200

    Add elastic IP and userdata to 2-instance template
    
    Ref: #56
    
    The 2-instance Wordpress template with EBS now uses Elastic IPs for both
    servers. The IPs are referenced from the init scripts in UserData.
    
    The template wasn't tested yet.

commit c226a24efca9975365aeb36dcfbf052398accd78
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu Apr 12 11:05:11 2012 -0400

    Fixing the heat events_list <stack name>
    
    Patch provided by Zane Bitter, thx.

commit ead1838fb771c14eed22eef31f849d2799461717
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Thu Apr 12 16:57:48 2012 +0200

    Move the EIP settings into a different template
    
    We'll keep the WordPress_Single_Instance.template simple.

commit d41059f6a9c2afbbcbdfe19737dd40d49974d269
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 12 20:28:14 2012 +1000

    Initial ElasticIp work - not quite working
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 9358f20d40ac3e50c4de4747137b1faae699a14a
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Wed Apr 11 22:22:43 2012 -0400

    Add newly added tdls to manifest.
    
    Related to issue #26

commit 01488938cf3be19b0d1a357543299e48f87a5a58
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Wed Apr 11 20:56:45 2012 -0400

    Add 32-bit tdls for Fedora 16,17 jeos (gold and cfntools)
    
    fixes #26
    
    Note that the templates have been adjusted and the naming of the 32-bit
    versions to i386 instead of i686. The install really is i686, but making
    the arch match what is listed in the install ISO seems less confusing.
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>
    
    Although the 32-bit version of Fedora (and others) ISOs are labeled with i386,

commit adf53e972ab64f2ce8efe60074961c3e0aef39a1
Author: Zane Bitter <zbitter@redhat.com>
Date:   Wed Apr 11 19:15:38 2012 +0200

    Fix exception getting events list
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit f2a952c790e472c2264cbff428278d03fbc843bc
Author: Zane Bitter <zbitter@redhat.com>
Date:   Wed Apr 11 18:59:33 2012 +0200

    Import missing exceptions
    
    The local definitions of several exceptions were removed by commit
    e7f05dba5d899200b9e09b22ea423fa33fd1b612 because OpenStack already provides
    them, but we need to import them to actually be able to use them.
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 34962ac0749468c4caa31c99ade76f15fb641cda
Author: Zane Bitter <zbitter@redhat.com>
Date:   Wed Apr 11 17:17:04 2012 +0200

    Fix setting of admin role in keystone service
    
    The script was looking for the "admin" user instead of the "admin" *role*.
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 11854762757255dc7d10063704f3425898c973d1
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed Apr 11 09:48:42 2012 -0400

    Resolving functional conflicts from merge

commit 0dc8d604abab9550446bfcbd67181c9b28920991
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed Apr 11 09:00:14 2012 -0400

    Adding new files to heat.spec file

commit dc696e5e9c9973f19a226551f261e60e7801350c
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed Apr 11 08:24:08 2012 -0400

    Defaulting to the mysql db_backend, removing anydbm

commit 1c96afa5023bcb83821057e44506bac7248b4b19
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed Apr 11 07:15:13 2012 -0400

    Making delete stack work

commit f2f4aff1870fcf1647ca176db3b83be94cf1427f
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Tue Apr 10 16:58:45 2012 -0400

    Persisting resources

commit c8868921facf42de1d73a844c4118039c3576ac9
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Tue Apr 10 07:57:09 2012 -0400

    Made datetime objects JSON compatible by calling their to string functions

commit 77a004167ac34b7d9073d7606392a15b188733b3
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu Apr 5 11:05:11 2012 -0400

    Integrating all stack, template, and event calls with database

commit 95e10314952f1894b12fca1090759d4458ff785c
Author: Zane Bitter <zbitter@redhat.com>
Date:   Wed Apr 11 14:03:37 2012 +0200

    Fix reporting of RemoteError exceptions from AMQP
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit f45f677a5f11d33990c7edef653a283317a55f38
Author: Zane Bitter <zbitter@redhat.com>
Date:   Wed Apr 11 14:03:37 2012 +0200

    Handle missing config file
    
    Report a more useful error when no config file can be found.
    
    Signed-off-by: Zane Bitter <zbitter@redhat.com>

commit 7523932c5d7ef794a26fab0de13b7bc242577cc0
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Apr 11 19:29:13 2012 +1000

    Fix silly spello
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 4539bdeca6e481ae74a2d019af7344850f5e813f
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Apr 11 19:28:31 2012 +1000

    Record the reason for any failures
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 9bad23299184fc19ec3e4aee8241bae667c639ee
Author: Steven Dake <sdake@redhat.com>
Date:   Wed Apr 11 00:33:40 2012 -0700

    Make better use of cloud-init
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit df1ad15c8a4af9702f16fe7553822d585ee9a2c4
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Apr 11 14:52:12 2012 +1000

    Make the create/delete non-blocking
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 2c492583e111260e37c8999c618f7f7b4f87ac40
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Apr 11 12:55:57 2012 +1000

    Fix path to keystonerc
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 4b360e33c274b99150be123446b84e566ad00e7f
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Apr 10 18:01:59 2012 -0700

    Rename cftools to cfntools in the wordpress single instance template
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit c8f6c1752c6cd2f7452d6f454c91f31564b70ecf
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Apr 10 13:53:53 2012 -0700

    Put cfn-tools into the cfntool image
    
    Closes issue #59
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 34f55bdbd6bfd43208563c9a2dac993021f397c0
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Apr 10 12:26:44 2012 -0700

    Renamed all occurrances of cftools to cfntools to be more consistent
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 39f953802fb91a75f379d9af0764d99334fcf99c
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Apr 10 11:59:38 2012 -0700

    Move cfntools to heat directory so they are accessible by jeos_create
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 434438d2e197864dc2a3804b4790744d20d5374d
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Tue Apr 10 17:18:28 2012 +0200

    Add 2-instance Wordpress template without EBS
    
    Ref #56
    
    The template has two instances. The Wordpress one depends on DatabaseServer.
    Therefore, WP should be started after DB and it should use DB's private IP in
    the Wordpress setup.

commit 20c2b8891a1d129d9bb5ef254bb4a96b1a6fabf7
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Apr 10 14:13:06 2012 +1000

    Try harder to detach the server volume.
    
    It seems to need some encouragement.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit da38f9af185983b9f9dad9d320b27e99c6f090d3
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Apr 10 14:12:05 2012 +1000

    Don't use the "depends_on" in resource.start
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit b3893cde96effc0280f564fcc84561174aa242c4
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Apr 10 14:10:53 2012 +1000

    Cleanup some prints in the resources
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 555bb45cd5f51f34c363ecdb1332c680b607238a
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Apr 10 09:41:23 2012 +1000

    Add a 2 instance wordpress example
    
    Ref #56
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit a9fd72c21c23d8709e737af817050896538828d7
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Apr 10 08:57:55 2012 +1000

    Improve the ordering of stopping resources
    
    Create a common function to generate the start order
    and stop in the reverse order.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit c51273efaaf74f59cef72d01ac9a39f36046ae3b
Author: Greg Blomquist <gblomqui@redhat.com>
Date:   Tue Apr 3 19:45:20 2012 -0400

    Issue #54: Getting started with cfn-init
    
    Implemented features:
      * sysv and systemd service handling
      * yum package management
    
    Running the script:
      e.g., sudo python cfn-init -f resource-metadata.json
    
    Example resource metadata file contents:
    {
        "AWS::CloudFormation::Init": {
            "config": {
                "packages": {
                    "yum": {
                        "rubygem-fattr" : []
                    }
                },
                "services": {
                    "sysvinit": {
                        "httpd": {
                            "enabled" : "true",
                            "ensureRunning" : "true"
                        }
                    }
                }
            }
        }
    }

commit 56e8d806303a8d2437940a432750b8a649e79ae0
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Apr 9 22:23:42 2012 +1000

    Get the volumes working properly.
    
    Tested with:
    heat create wp_ebs -t ./templates/WordPress_Single_Instance_With_EBS_Volume.template --parameters="InstanceType=m1.xlarge;KeyName=my_key"
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 22c2dde2ac808c997150941440156b52fc8d328b
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Apr 5 11:42:36 2012 -0700

    Add documentation for heat jeos_create function
    
    Partially Fixes issue #58
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 8483e2219fac031148e7e9f7415043de783bfc5a
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Thu Apr 5 11:41:12 2012 +0200

    typo fix in jeos_create

commit c0fd06bc1f5c824af3eda3507611133b5fdd2542
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 5 16:40:19 2012 +1000

    Fix "heat list" only showing empty list.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit e7f05dba5d899200b9e09b22ea423fa33fd1b612
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 5 16:39:22 2012 +1000

    Add utils & exception from openstack-common
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit aff20aca99866b0b1244133313b65d0be395034d
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 5 10:42:52 2012 +1000

    Use local.py from openstack-common
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit f4d4f60f8fed29e8148ac9af4efd93cc82c3c313
Author: Steven Dake <sdake@redhat.com>
Date:   Wed Apr 4 18:50:03 2012 -0700

    Add F17 cftools TDL
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit d6cce8198d3f1fd3ce97851439868c0d39a183ba
Author: Steven Dake <sdake@redhat.com>
Date:   Wed Apr 4 17:39:24 2012 -0700

    Add F16 cftools tdl
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit bd598a8399a3bfb39dbd6ec5ba7f0a676d3ad060
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 5 10:19:32 2012 +1000

    Fix events_list
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit d9ab5bdad44a231fa10b8a34ca31d43cea4fbd66
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 5 10:12:44 2012 +1000

    Fix describe and delete
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 8a6eb03d62dab0133ba59fd50654badfb9063e8b
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 5 09:59:16 2012 +1000

    Pass the parameters to the parser
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit ebcb364e7990086933aba5adec0f3e41c24c5c86
Merge: 7690e1b e4a27e8
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Apr 5 09:11:59 2012 +1000

    Merge rpc branch
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit e4a27e88f2c33fdae51b02c849306567df9de66c
Author: Ian Main <imain@redhat.com>
Date:   Wed Apr 4 14:29:54 2012 -0700

    Remove some more unused files.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit 3eb40cae130015dcc85de56fdc5c9e30496eecf3
Author: Ian Main <imain@redhat.com>
Date:   Wed Apr 4 14:18:44 2012 -0700

    Don't need these files anymore.  As per the layout in nova compute
    the manager is handling all the engine api calls.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit 7690e1b5d4ca5dce2aeccbb04da43871cd8718fc
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed Apr 4 19:13:37 2012 +0200

    Fix --template-file
    
    Fixes #47
    
    The code that causes the URI TOO LONG error is in eventlet.wsgi.
    
    So for the time being we're replacing that with paste.httpserver which serves
    WSGI apps, too.
    
    Longer term, we want to use eventlet but they need to make the maximum URL
    length configurable.

commit ec9c7009fa184e609cbc0d5c4ae937ce5220afc2
Author: Steven Dake <sdake@redhat.com>
Date:   Wed Apr 4 09:17:25 2012 -0700

    Use some evil to get the jeos tdl path
    
    Resolves issue #46
    heat:251 tdl_path uses get_python_lib() which doesn't work with eggs
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 485b0dcb291adc9420475dd988de85c355d71e3a
Author: Ian Main <imain@redhat.com>
Date:   Tue Apr 3 16:57:23 2012 -0700

    Fix stack_delete()
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit c94960563adae02138238db94ef8ee53a53cbb90
Author: Ian Main <imain@redhat.com>
Date:   Tue Apr 3 16:55:20 2012 -0700

    stack_db attributes seem broken.  Comment these out for now and the API
    is generally working.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit 1163ec9ce744b45a609274ea6c0e30d2110b346e
Author: Ian Main <imain@redhat.com>
Date:   Tue Apr 3 16:40:11 2012 -0700

    Fix create a bit more.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit 06d5b8c378e9ffd496b1bb49db16f8fc85516825
Author: Ian Main <imain@redhat.com>
Date:   Tue Apr 3 16:31:53 2012 -0700

    Hook up RPC methods
    
    This commit hooks up all the calls via RPC to the new implementations
    in manager.py.  I haven't tested them all yet.. I'm getting HD failure
    warnings and want to get this commited before something goes terribly
    wrong :).
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit ebdf76e1e8538823ed93247eed03042907b93815
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Apr 3 15:53:27 2012 -0700

    Pre-bake cftools into an image
    
    After this change, new JEOS will need to be created since the JEOS
    names have changed.
    
    For a cfntool image:
    heat jeos_create F16 x86_64 cftools
    
    For a gold image:
    heat jeos_create F16 x86_64 gold
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 2915c99d466e28a7b1d2e1fafbd0cf65817b7560
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Apr 3 11:51:16 2012 -0700

    Initial CloudFormations dummy files for vm helper tools
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 12b75ffa7f12f2f7d6ed67e8e39fb00b7c576360
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Apr 3 08:21:30 2012 -0700

    Revert "Allow templates specified from local filesystem"
    
    Unfortunately this patch isn't quite correct.  It passes data in the body
    of the message, but the API specifies passing in the url parameters.  This
    results in user parameters not being passed to the instance properly.
    
    This reverts commit 4679fb01c641053d45a197b598e28552144391a9.

commit 07e99ea570dbc20999f267aea4d7e220bbb60ca0
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Apr 3 16:27:27 2012 +1000

    Do mimimum to work with anydb.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 20cdc46a948a85bd9b49d4b35b007a1794276afb
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Apr 3 15:39:29 2012 +1000

    Add support for the Output section.
    
    Implements issue #51
    
    To see the outputs run "heat describe <stack name>"
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 59b89dfbe20fab67ef5398a62804ae95c2162640
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Apr 3 14:13:09 2012 +1000

    Add an Outputs section to the template
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit c7d3e2179c61da096f878c3452d277f87ef251d0
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Apr 3 14:11:35 2012 +1000

    run dos2unix on the templates
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 447e73a82f5ada79c933f77f576c954d6d60d5d5
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Mon Apr 2 16:17:06 2012 -0400

    Updating the README to point to the Getting Started Wiki

commit 04d73a59ba00f0c73e04271a2c13f31f8f23cc51
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Mon Apr 2 08:12:33 2012 -0400

    Adding the sqlalchemy db implmentation

commit 4679fb01c641053d45a197b598e28552144391a9
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Mon Apr 2 18:00:00 2012 +0200

    Allow templates specified from local filesystem
    
    Fixes #47
    
    Passing a template file (as opposed to a URL) to the CLI:
    
          ./heat -d create wordpress \
            --template-file=../templates/WordPress_Single_Instance.template
    
    caused a 'URI too long' error. The reason was that we were passing the entire
    template contents to the Heat API server inside the URL params.
    
    This makes sure that templates are passed around inside HTTP body rather than
    the URL.

commit daa4fc256b16d90d437df1590e8f64fe8f88967f
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Apr 2 07:03:40 2012 -0700

    Updated openstack script to print a note about the default network
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit e354226876fd64a28672841efedf6d86880f249f
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Apr 2 23:04:35 2012 +1000

    Beginings of Volumes and VolumeAttachments
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit be476524a13c735892bd76bc46dc4315c023b7f4
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Mon Apr 2 14:46:59 2012 +0200

    Update readme with the Keystone service setup

commit 4018da01860671973b41bf4511f96d41f3fc4412
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Thu Mar 29 15:14:21 2012 -0400

    Add a heat database to store templates, state, and events
    Fixes #39

commit 1f861a50cdad5096886fe89102e5323072513b00
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Apr 2 15:48:00 2012 +1000

    Make the "heat delete" command work.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 986e39c3b6e600f449412e6c8f2dce0ea92f75bc
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Apr 2 15:15:10 2012 +1000

    Fix a crash in "heat show/list"
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 7daa8884bdd2a8bdc550d39c6b86ea3eec407b1c
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Apr 2 13:54:47 2012 +1000

    Fix keystone creds in parser
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit db5b63733e81e934b5cb2be1455bef7948015b4e
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Apr 1 19:15:21 2012 -0700

    Make wordpress template leave mysql+http running, and start/enable them by default
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 8d372fcb16b2da3346446dc16a3b9bd8fcc7f1be
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Apr 2 12:00:21 2012 +1000

    Pass the keystone creds to resource.py so usable from run-parser and heat
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 7d11d4abf6437dc34ba0d88f501d6b6b693ac219
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Apr 2 11:59:18 2012 +1000

    temporarily hack out the keystone auth.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit f4fa8645fba184b71b124a4c1cd68122c7c3ad1f
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Apr 1 16:59:51 2012 -0700

    Updated wordpress single instance template to have quotes in proper place
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 9539f7aad304d260818ab6a85100f9c00afdfa49
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Apr 1 15:36:57 2012 -0700

    F16 updates broken- Delete F16 and F17 update repos and don't yum update
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit d924d9db067a107b52647d2e4ebe680263b83558
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Apr 1 13:40:37 2012 -0700

    Start userdata script after decoding
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 7dee96f56d4225afebdce90eedc0ca3ccd2dcb5c
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Apr 1 13:35:53 2012 -0700

    use << intead of &lt;&lt; in Wordpress example
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 3b26a54014f2ce918579c52fd734ef5e56a54cd2
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Apr 1 12:50:25 2012 -0700

    Add FnBase64 encoder, encode user data, and feed to nova userdata
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 0fbfc437ae047fb0b802072ea9ac5a1d0cca88e2
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Apr 1 10:35:35 2012 -0700

    Add installation of cloud-init to the JEOS creation operation
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 5b400fbe189c664eb729df8bb767568e18f6998e
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Apr 1 10:33:28 2012 -0700

    Show how to create a network after using the openstack tools script
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit ade5e43c46f8f26557bada7e5c4a94acd1a4dedc
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Mar 30 14:27:18 2012 -0700

    Remove errant debugging print from run-parser.py
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit bc7bc4ee01f7f99f0b2f033e1b88bf91276f2624
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Mar 30 14:24:15 2012 -0700

    Update to setup directions
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 75f80851715e6838888aa5b08a52483cddfe5952
Author: Ian Main <imain@redhat.com>
Date:   Fri Mar 30 14:05:36 2012 -0700

    Stack list now communicating end to end.  Time to hook some stuff up.

commit cfdd2e4545a36f342866664df206d8397b749a93
Author: Ian Main <imain@redhat.com>
Date:   Fri Mar 30 13:38:48 2012 -0700

    Change default exchange to heat-engine from nova.  Hook up 'list' though
    it doesn't work yet.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit 9b0af6de59350e94d41028c303a8916cca38f436
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Mar 30 10:46:29 2012 -0700

    Make create Working with recent glance mysql changes in F16/F17 RPMs
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit a1e9714473c8ee31e47e782d9745fe9e71e5f09b
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Mar 30 08:51:42 2012 -0700

    Add mysql db creation for glance
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 1cc0f413ecbf61b8d073ee625fbc8f3a3f67d01b
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Fri Mar 30 15:20:37 2012 +0200

    Fix run_parser.py to work with the db updates

commit ba17e5286b78ce6e0189b96352327ce1dab934a9
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Mar 30 21:28:37 2012 +1100

    Move simpledb to db/anydbm just so we are using the new API.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 93726e056706196530ac78c015348f1be68f477c
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Mar 30 15:36:26 2012 +1100

    Fix the service toke and endpoint
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 682f1041c502051b8558e95cd4b115ea9480f18d
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Mar 30 13:51:24 2012 +1100

    Add script to add heat service catalog into keystone
    
    Note the user add is not working for me. But could
    be because I have partly done this a couple of times.
    
    This is based off of:
    https://github.com/openstack/keystone/blob/master/tools/sample_data.sh
    
    Related to issue #31
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit ac1ab674c8ee2481fea447cbfbc02d4e1d2d7967
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Mar 30 13:02:28 2012 +1100

    Get simple rpc.call working
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 8962ca3f84b0444d423fc13ffdc13dd94b435e22
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Mar 30 12:42:01 2012 +1100

    Add needed strtime functions from nova
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 3c0de821ff8f4ee7c5290fbfc1f33d68f3eb419c
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Mar 30 12:26:12 2012 +1100

    Add missing references
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 12897989c0ac7bb8850f19f5e0b29c84e33296fd
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Mar 29 16:25:11 2012 -0700

    Wait for server to enter the ACTIVE state or ERROR state and send events
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit fcaea6527b9550c9e7aae5d055150422830e67b4
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Thu Mar 29 18:02:16 2012 +0200

    Stub out the database access API

commit bf651f4207e81ef47e4495402a82e230f533de43
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Mar 29 22:22:33 2012 +1100

    s/image/heat in auth code.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit d94b53c31289f9bf322a7f3549763580d68dd63a
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Mar 29 22:20:59 2012 +1100

    Copy some glance/common fixes
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 2b0465c30d9b3252e772adf50ad3a4dedc849be9
Author: Steven Dake <sdake@redhat.com>
Date:   Wed Mar 28 21:55:36 2012 -0700

    run_parser.py creates an instance now
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 1ccc461f594da12ad51f5e105060f88c3c85fb33
Author: Steven Dake <sdake@redhat.com>
Date:   Wed Mar 28 21:30:14 2012 -0700

    Updated run-parser.py to work well with WordPress template
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit f1ddc407d3cf4b2898d38fcb1fae922aedfa022d
Author: Steven Dake <sdake@redhat.com>
Date:   Wed Mar 28 21:29:30 2012 -0700

    Updated README with more precise setup directions
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 61b54e7b7c2bce91ae66b1267ed780ce4d62dbbc
Author: Steven Dake <sdake@redhat.com>
Date:   Wed Mar 28 14:57:48 2012 -0700

    Produce proper distro-arch variable for use with launching
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 4c93dcf75a9dfeba643898fbbf014aed30d5bd2c
Author: Steven Dake <sdake@redhat.com>
Date:   Wed Mar 28 13:51:35 2012 -0700

    Update run-parser to work with proper user parameters as sent through the apis
    
    Fixes Issue #42
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 1e7c0eff6ca7f83e29d237da2f7ad207301f41c9
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed Mar 28 16:23:15 2012 -0400

    Security credentials are now passed into heat engine from cli
    
    The request parameter KeyStoneCreds has the values for username,
    password, tenant, and authurl
    
    Fixes #30

commit 5b78cd7f6b781768842ec456ea87220698de1f41
Author: Steven Dake <sdake@redhat.com>
Date:   Wed Mar 28 11:23:25 2012 -0700

    Fix spelling error dependancies->dependencies
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 2198a722a47248afa002eae12993a736f01d78c7
Author: Steven Dake <sdake@redhat.com>
Date:   Wed Mar 28 11:22:30 2012 -0700

    Fix spelling error
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 98bf9b95ddf0ed99bc9d0800c9084671457b214c
Author: Steven Dake <sdake@redhat.com>
Date:   Wed Mar 28 10:52:54 2012 -0700

    Tidy up README.rst
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 589eaa75e42960a8fc927f9e9f2f777e88e522e8
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed Mar 28 12:50:49 2012 -0400

    Removing OpenStack LLC copyright

commit 6d9387bb286e1194ceb4c74a4dfc8a61565d3d01
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed Mar 28 12:43:54 2012 -0400

    Adding F17 JEOS tdl
    Issue #25

commit a4b8e8afb8d3db5cabb52cfd88624e5023d3ae11
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Mar 28 19:36:49 2012 +1100

    Fix some tabbing.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 3bc820fba48fd725a80c6bf0237b205121340ea9
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Mar 28 19:36:18 2012 +1100

    Add the ValidateTemplate API.
    
    Implementing the validate is still a TODO.
    
    Re: issue #1
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 3b49124ee356c9b51f1f2f1615d66e83d47cde1f
Author: Jeff Peeler <jpeeler@redhat.com>
Date:   Tue Mar 27 22:45:42 2012 -0400

    Fix misspelling of Ubuntu so tdl is properly found.
    
    Found while looking at issue #29.
    
    Signed-off-by: Jeff Peeler <jpeeler@redhat.com>

commit 5a66af974bef2d44f16102f04e3d1a959a0f58f5
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Mar 28 13:32:20 2012 +1100

    Get the heat --parameters to work.
    
    So now this works:
    heat create pile \
     --template-url=https://raw.github.com/heat-api/heat/master/templates/WordPress_Single_Instance.template \
     --parameters="InstanceType=t1.micro;DBUsername=angus;DBPassword=fruity;LinuxDistribution=F17"
    
    Fixes Issue #40
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 7dd042134c7d96e735af6172fb2c545d73793ecf
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Mar 27 18:57:25 2012 -0700

    Add ami conversion to OpenStack style architectures
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit b7377176be45dffe52499170b305203375de2c0e
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Mar 28 11:45:53 2012 +1100

    Account for missing Properties
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit d35f4ac6482b43859eb40d6b0d539fa60095f6bc
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Mar 28 11:41:19 2012 +1100

    Install /var/lib/heat directory
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 6153879cff2c2333dde5053456c3a1a4cbca0924
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Mar 27 17:34:30 2012 -0700

    Fix order of parmeters issue
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 21f1f7abd279e53ad6dc9a6f2065ec3a0bda2f1a
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Mar 27 17:02:27 2012 -0700

    Fix heat jeos_create F16 x86_64 litters files
    
    Fixes Issue #41.
    
    Output the file to /dev/null instead
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 9b23feadaea69a20ed674470b956413062c0dcfa
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Mar 27 16:26:01 2012 -0700

    Remove unneeded deps
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 8b005f95143a6a2ff51f7a6fb6110ed9a0ead487
Author: Ian Main <imain@redhat.com>
Date:   Tue Mar 27 11:56:30 2012 -0700

    Fix up some imports so they work.  I think this is right now. :)
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit 903529c05a7767344c5ea56bf77820257b3e5be2
Author: Steven Dake <sdake@redhat.com>
Date:   Tue Mar 27 10:35:47 2012 -0700

    Add README to tools directory to help point out what files do
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 5c30a02e00a1dcb58ca2aa6caef4ed835fc53deb
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Mar 27 11:38:48 2012 +1100

    Initial work on migrating heat-engine to rpc
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit fbd62cb9c7a6c15fa4a647b5d9802fd7be9b4467
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Mar 26 09:30:18 2012 -0700

    Add error checking and help to tool
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit b4b6ac333e92dc9d34fcf85d9353b214a554b94d
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Mar 26 09:20:02 2012 -0700

    Add a missing tab
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit d6fb3be1566649718255601923b6ca137aeb855c
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Mar 26 09:18:21 2012 -0700

    Add code that shows how to create an instance
    
    This creates an instance with a keypair, and saves the private key to
    /tmp/private_key.
    
    Then:
    ssh -i /tmp/private_key 10.0.0.x where x is the IP address
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 072cc84d4996d8219a0f1df99492134d462e0e5c
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Mon Mar 26 15:50:46 2012 +0200

    Consistently use Keystone auth from environment
    
    Fixes #33
    
    All mentions of non-keystone auth environment variables were removed. Acessing
    the proper Keystone ENV was localized into parse_options.
    
    We can now consistently use the `options` object instead of writing
    `options.username or getenv['OS_USERNAME']` all over the place.

commit 91ee085a0dd65ae408d29bb494d0208530435203
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Mar 26 16:45:06 2012 +1100

    Begin the change to a python only implementation.
    
    - Don't start pacemaker-cloud cape, instead start the
      resources (soon to be implemented).
    - kill off systemctl, capelistener and json2capexml
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 88b77d2bedda3b08eb55ef163de577e775c6bb26
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Mar 26 15:18:29 2012 +1100

    Add an experimental ssh monitoring script.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 2846b18251096a22cf0a98f289719f4173f757a4
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Mar 23 14:43:07 2012 -0700

    Covert AWS instance types into Openstack Flavors
    
    Issue #34
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit a2523790919b053d49928fcb3add6fb556bdedf3
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Mar 23 13:17:09 2012 -0700

    Change run_parser.py to run t1.micro rather then m1.large
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit bce24c6aa63f5b14bdef6bbbd6d28cc0cf0b0b85
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Mar 23 08:37:59 2012 -0700

    Some glance keystone changes from getting started guide
    
    https://fedoraproject.org/w/index.php?title=Getting_started_with_OpenStack_on_Fedora_17&diff=prev&oldid=279696
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 51ecb350c975c63ca4d9a8852df668020368ed27
Author: Steven Dake <sdake@redhat.com>
Date:   Fri Mar 23 08:16:29 2012 -0700

    Updated with latest F17 nova auth fix
    
    https://fedoraproject.org/w/index.php?title=Getting_started_with_OpenStack_on_Fedora_17&diff=next&oldid=279621
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 7d290c20327ae24e618ab4230a50769d62a53e48
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Mar 22 23:54:46 2012 -0700

    install/erase working better
    
    nova command operations not quite right yet
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 6c39ee3521f4bb30884b05775828d15b676efa6c
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Mar 23 15:54:46 2012 +1100

    Add a openstack helper install script
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit ea6571d29b202bd8c8e83d2fccdf72029fd2a24f
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Mar 23 12:04:54 2012 +1100

    Add elastic ip association to parser.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 622bb9a702617e4754784a04de66a21c9e2a4e1a
Author: Ian Main <imain@redhat.com>
Date:   Thu Mar 22 17:37:17 2012 -0700

    A few cleanups and some comments.  Nothing major.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit 024ccee73475d227040c7927c3f6151614a3092f
Author: Steven Dake <sdake@redhat.com>
Date:   Thu Mar 22 09:08:16 2012 -0700

    Use keystone auth environment variables
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 6dc00394685238d717317e72d1a6e6e7ebfff967
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Mar 22 23:16:48 2012 +1100

    Improved "test" parser for python orchestration.
    
    ./bin/run-parser.py <template>
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit d1daeb01d0acfa593e9d12026e3f02d1a99c9cf1
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Mar 22 10:18:43 2012 +1100

    Record events and retrieve them via "heat events_list <stack_name>"
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 4cea0f15890b88bd2c12effb1f7a5ea30642dc68
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Mar 22 10:05:26 2012 +1100

    tweak the templates so the defaults are actually what we want.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 8693984a9b8b905977b3a21ba946707870216796
Author: Steven Dake <sdake@redhat.com>
Date:   Wed Mar 21 11:32:41 2012 -0700

    Use full distro-arch as name of image registered with glance
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit faddc4daaebcefa4c92d7b8fe2f9c4ea8cf66633
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed Mar 21 17:24:53 2012 +0100

    Properly handle templates of invalid format
    
    Fixes #19
    
    When we receive a template that's not in JSON, we display a meaningful message
    instead of a stacktrace.

commit 8acb771bb9a80ad87ddd69ba5e9b276d2405e33d
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed Mar 21 17:07:14 2012 +0100

    Display error message on invalid template URL
    
    Fixes #19

commit 53859a38cac8df4a4a6c57b6ac6a95becc2549b5
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Wed Mar 21 16:41:54 2012 +0100

    Display message on heat-api and heat-engine startup
    
    When a Heat server is started, the user will now see a message that says so and
    shows the port number the server uses.

commit 5d8d645f4e544bd92ec42bf7ca0c23cf464b5be4
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed Mar 21 10:52:54 2012 -0400

    Removed the *.log from the .gitignore so I can add the dummy files

commit d38de842e0e6e442c10cb4b367214cd4b295be24
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed Mar 21 10:14:00 2012 -0400

    Removing some of the cargo cult copy paste shrapnel

commit 33c4b5f762dda0143dda38ebb1eb0fe318dee4fc
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Wed Mar 21 07:44:44 2012 -0400

    Adding rpm packaging for heat packages

commit 68d8778cca337a0a1119b0ead7cd7d48bf747b55
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Mar 21 22:27:14 2012 +1100

    teach jeos_create about the debug option.
    
    Now this command produces lots of output (nice for debugging):
    sudo heat -d jeos_create F16 x86_64
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 175fa188316df8ef7d5528c575613948864d940b
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Mar 21 21:55:30 2012 +1100

    Improve the error checking in jeos_create
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit f5e43a3ffca5d1ad0c2f9b510bf406d2d928aed2
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Tue Mar 20 09:50:09 2012 -0400

    Updating template example github link

commit fb2227b804c31af6037e4618c741adee2edeb573
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Tue Mar 20 07:26:40 2012 -0400

    Minor text edits

commit 948212722397a89f574ce52d79bff798f43d179b
Author: Chris Alfonso <calfonso@redhat.com>
Date:   Tue Mar 20 07:16:06 2012 -0400

    Directives to not use variable names that conflict with pdb

commit 1b44c7d46d8b0645f0368dad4938a55c5e6935e1
Author: Tomas Sedovic <tomas@sedovic.cz>
Date:   Tue Mar 20 11:19:01 2012 +0100

    Fix a module import failure
    
    Running heat-api resulted in:
    
    heat.common.exception.ImportFailure: Failed to import requested object/class:
        'heat.api.v1.API'. Reason: No module named openstack.common

commit 49ed27480e4ac97a7d233fafbe60fa2eda0ff7fd
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Mar 20 13:17:17 2012 +1100

    Fix README bullets
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 2f041a999f318b3f8ac055ca56f6268def915a96
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Mar 20 13:14:02 2012 +1100

    Fix README headings
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 939ee8d1a8f73350646444bea8326bb437e25819
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Mar 20 13:11:53 2012 +1100

    Update the README
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 6161c7aa85023e1ea5b3acabd74f354f4e685116
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Mar 19 21:25:20 2012 +1100

    Start separating the api and the implementation.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 4abbc9393e32322eee11bfe6b8f6d49a0733c0ca
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Mar 20 12:01:37 2012 +1100

    fix delete params (was treated as body)
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit c7a01f18ad17080c75c68106c7cede968c34b0f7
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Mar 19 17:58:39 2012 -0700

    Update readme with correct "raw" url for template
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit a7025cdeb504463a1db08a37c821e045d90d76cd
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Mar 19 17:10:58 2012 -0700

    Remove erroneous setup operation
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit c1e3fea7a65624f2af272db248514fe5a338254c
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Mar 20 11:08:24 2012 +1100

    Install config files properly.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 2cf38556bf1d7c07d8e0c5090a5dbd9ade11abbb
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Mar 19 22:46:46 2012 +1100

    Rename the etc/ files to what they need to be.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 248a69358101713b761fe08b82c8d1374740b2be
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Mar 19 22:51:55 2012 +1100

    Pretty up the README
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit d3ca2e3d37a08f0f8dd07fc8da7b48c64c6aaa33
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Mon Mar 19 22:44:25 2012 +1100

    Add etc to the manifest
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit d67fcf180d31e194d62fafd93cacbde7d442315b
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Mar 18 21:55:19 2012 -0700

    Add a jeos create operation using oz
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 61c12cfebbb20ea9666db7f2524d6831064e68ee
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Mar 18 20:24:23 2012 -0700

    Updated README with install directions
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit aa68472a382ee85103b04dd94053be093a8a3c3a
Author: Steven Dake <sdake@redhat.com>
Date:   Sun Mar 18 20:20:41 2012 -0700

    Add MANIFEST.in and add a oz tdl for a F16 jeos
    
    Signed-off-by: Steven Dake <sdake@redhat.com>

commit 5635b453b4d7dc682bf4dbb0602714402fd0d94d
Merge: d725691 cdc7f5a
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Mar 16 15:09:41 2012 -0700

    Merge pull request #12 from markmc/sync-cfg-from-openstack-common
    
    Sync cfg from openstack-common

commit d7256915aaca3e4839af0ccd73dccf01170e0695
Merge: 0141f6d 4e4126b
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Mar 16 15:05:30 2012 -0700

    Merge pull request #11 from markmc/unused-util-code
    
    Remove a bunch of unused util code
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit cdc7f5a49ca873021611f8320987292477a5e33e
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Fri Mar 16 11:47:07 2012 -0400

    Sync cfg from openstack-common
    
    Use openstack-common's update script to sync it to the latest.
    
    Add some dire warnings that changes should be made in the upstream
    copy of the code first.

commit 4e4126b9e57afd7bc8ae14b18df12c4b6b931610
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Fri Mar 16 11:28:34 2012 -0400

    Remove a bunch of unused util code
    
    Eliminates the dependency on the iso8601 module.

commit 0141f6da2fb8c1c4d8c71a57a39e2361581e0703
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Mar 16 23:24:52 2012 +1100

    Add a cape event listener.
    
    For the moment just log the event, could do more
    with the events later.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 0a26758da05efa5ba758dc620bc81d19da5a53d4
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Mar 16 12:09:42 2012 +1100

    Catch errors better when creating the stack
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit a5fbf17743235d2fa5f7d5de77367ae953da450a
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Mar 16 12:08:53 2012 +1100

    Remerge common code with glance.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 3fad43a5e21cab9338a481a87e517a7ec2b11598
Author: Ian Main <imain@redhat.com>
Date:   Thu Mar 15 17:15:05 2012 -0700

    Add config cp to README doc.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit 072800e2c2af7303cbf6730f85f1be896e2a4e13
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Mar 16 11:02:00 2012 +1100

    Don't crash if there is no "AWS::CloudFormation::Init" section.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 82888427f3efb57926dfb747d8923375599b5f7b
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Mar 16 10:12:45 2012 +1100

    Move the default port number into common.config
    
    It was defined in multiple places.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 0f6375a93130214fc656021f95af25eaed796d1c
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Mar 16 09:05:20 2012 +1100

    Change the default port references to DEFAULT_PORT
    
    If we need to change it again then this will make it easier.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit b987031f7c0a54ee8b6177195aae8b9595f44764
Author: Ian Main <imain@redhat.com>
Date:   Thu Mar 15 12:22:00 2012 -0700

    Fix missing paren.
    
    Signed-off-by: Ian Main <imain@redhat.com>

commit 077ff505d2d8930a3f52a19597826f8a7176a1b3
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Mar 15 22:25:45 2012 +1100

    Add a call to start cape process.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit a76d02e790357258f8f57a5b33a0d2fe794a3714
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Mar 15 22:24:42 2012 +1100

    Hook up the update and delete (not quite working)
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit a321e3c8801f8e945e5910ea52323ad5877c5187
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Mar 15 21:34:43 2012 +1100

    Add a very rough-and-ready conversion from json to xml for cape
    
    This needs lots of improvements. And is only tested
    with templates/WordPress_Single_Instance.template
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit a5ea8a4c558d38592d1ef93857485e4fb1cef884
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Mar 15 21:22:05 2012 +1100

    Add support for getting the template via url else we get RequestUriTooLong
    
    The nutty cloudforms api passes the template in via parameters.
    TemplateUrl is better.
    
    try:
    ./bin/heat create my_stack --template-url=https://raw.github.com/asalkeld/heat/master/templates/WordPress_Single_Instance.template
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 97b6c95df0138b76dc1b75dd266f4d7c4ff37b70
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Mar 15 16:49:50 2012 +1100

    Add missing RequestUriTooLong exception.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit da35a068e9dc3fe6b33bce1ed7e6fc877b40d31c
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Mar 15 16:49:10 2012 +1100

    Fix the systemd service section in the template.
    
    To be consistent with the sysvinit one.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit c0b95312c42aee27801f5d9d7e3680afeff35446
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Mar 15 15:08:59 2012 +1100

    Add a disto mapping to get the image name.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 83ba8d951939fe03329c388d614102e73a571a7e
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Mar 15 13:43:15 2012 +1100

    Simplify the template more.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 7739de101e81246237fd899adf302f973eac705d
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Mar 15 10:40:02 2012 +1100

    Add a simple single instance wordpress template
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 2fde25bc115efbfaf4a953633be3bc1321aa2170
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Mar 15 09:36:51 2012 +1100

    Remove openstack copy right assignment as we have not done that yet.
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit fc413d93278706cc8e62f3033fdaf4815fc32784
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Mar 14 13:02:53 2012 +1100

    Add a simple in-memory "db" so we can create/list stacks
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 41d167c5609a3a67715004cd006eef1aedee4beb
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Wed Mar 14 09:25:54 2012 +1100

    Add setup.py and friends
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 38de4d2564b75316ef5a61eb0b1a87b22a19731c
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Mar 13 22:27:42 2012 +1100

    Add simple readme
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit ca303152e64c87610723a934a2a4623d2fa062f1
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Mar 13 22:20:40 2012 +1100

    Fix Parameters
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit 3b9c41fb6ccdd0e48d22d43ed4855ff03e0fdc88
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Tue Mar 13 21:48:07 2012 +1100

    Initial commit (basics copied from glance)
    
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>
